Summary: Library for reading RAW files obtained from digital photo cameras
Summary(ja): デジタルカメラから取り込んだ RAW ファイルを読むためのライブラリ
Name: LibRaw
Version: 0.13.5
Release: 3%{?_dist_release}
License: LGPLv2 or CDDL or LibRaw Software License
Group: System Environment/Libraries
URL: http://www.libraw.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc libtool make
BuildRequires: lcms-devel

Source0: http://www.libraw.org/data/LibRaw-%{version}.tar.gz

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

LibRaw is based on the source codes of the dcraw utility, where part of
drawbacks have already been eliminated and part will be fixed in future.

%package devel
Summary: LibRaw development libraries
Summary(ja): LibRaw の開発ライブラリ
Group: Development/Libraries
License: LGPLv2 or CDDL o LibRaw Software License

%description devel
LibRaw development libraries

This package contains static libraries that applications can use to build
against libraw. LibRaw does not provide dynamic libraries.

%package static
Summary: LibRaw static libraries
Summary(ja): LibRaw の静的ライブラリ
Group: Development/Libraries
License: LGPLv2 or CDDL o LibRaw Software License

Requires: %{name}-devel = %{version}-%{release}

%description static
This package contains the static library for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
# This is not the autotools generated configure script
CFLAGS="%{optflags}" sh configure --prefix=/usr --disable-examples \
 --disable-demosaic-pack-gpl2 --disable-demosaic-pack-gpl3 \
 --enable-static=no --enable-shared=no --enable-lcms
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
cp -pr doc manual

# The source tree has these with execute permissions for some reason
chmod 644 LICENSE.CDDL LICENSE.LGPL LICENSE.LibRaw.pdf

# The Libraries
#make install DESTDIR=%{buildroot} LIBDIR=%{_lib}
%makeinstall

rm -rf %{buildroot}%{_libdir}/*.la

%files devel
%defattr(-,root,root,-)

%doc Changelog.rus
%doc manual samples

%{_docdir}/libraw/
%dir %{_includedir}/libraw
%{_includedir}/libraw/*.h
%{_libdir}/pkgconfig/*.pc

%files static
%defattr(-,root,root,-)
%{_libdir}/libraw.a
%{_libdir}/libraw_r.a

%changelog
* Thu Jun 09 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.13.5-3
- added BuildRequires: lcms-devel
- added configure option --enable-lcms

* Sun Jun 05 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.13.5-2
- added BuildRequires: gcc libtool make
- fixed %%install
- deleted library archive
- fixed %%doc in -devel package

* Sat Jun 04 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.13.5-1
- new upstream release
- dropt Patch0
- fixed configure option
- fixed %%files
- splitted -static package

* Mon Dec 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.11.3-1
- new upstream release
- added License: LibRaw Software License
- dropt patch1,2
- replaced patch0 by Fedora development patch

* Tue Sep 28 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.10.0-1
- new upstream release

* Wed Jul 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.1-1
- initial build for VineSeed

* Fri Jun 04 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-1
- New package
