%define gsversion %(ghostscript --version)

%define xfontdir	%{_datadir}/fonts/%{name}
## for 7.07
#% define gsfontdir	%{_datadir}/ghostscript/Resource/CIDFont
## for 8.xx
%define gsfontdir	%{_datadir}/ghostscript/%{gsversion}/Resource/CIDFont
%define gsfontspecdir	%{_datadir}/ghostscript/%{gsversion}/Resource/Font
%define texfontdir	%{_datadir}/texmf/fonts/opentype

%define texmf		%{_datadir}/texmf
%define mapdir		%{texmf}/fonts/map/dvipdfm
%define build_texmf	%{buildroot}%{texmf}
%define build_mapdir	%{buildroot}%{mapdir}

%define exec_updmap_otf [ -x %{_bindir}/updmap-otf ] && %{_bindir}/env - %{_bindir}/updmap-otf auto 2> /dev/null

%define FontList \\\
    RyuminPro-Light,Japan \\\
    MidashiMinPro-MA31,Japan \\\
    MidashiGoPro-MB31,Japan \\\
    Jun101Pro-Light,Japan \\\
    GothicBBBPro-Medium,Japan \\\
    FutoMinA101Pro-Bold,Japan \\\
    FutoGoB101Pro-Bold,Japan \\\
    %{?extras: \\\
      Jun201Pro-Regular,Japan \\\
      Jun34Pro-Medium,Japan \\\
      Jun501Pro-Bold,Japan \\\
      RyuminPro-Bold,Japan \\\
      RyuminPro-Heavy,Japan \\\
      RyuminPro-Medium,Japan \\\
      RyuminPro-Regular,Japan \\\
      RyuminPro-Ultra,Japan \\\
      ShinGoPro-Bold,Japan \\\
      ShinGoPro-Heavy,Japan \\\
      ShinGoPro-Light,Japan \\\
      ShinGoPro-Medium,Japan \\\
      ShinGoPro-Regular,Japan \\\
      ShinGoPro-Ultra,Japan \\\
    }

%define EncodeList_Japan \\\
    78-EUC-H \\\
    78-EUC-V \\\
    78-H \\\
    78-RKSJ-H \\\
    78-RKSJ-V \\\
    78-V \\\
    78ms-RKSJ-H \\\
    78ms-RKSJ-V \\\
    83pv-RKSJ-H \\\
    90ms-RKSJ-H \\\
    90ms-RKSJ-V \\\
    90msp-RKSJ-H \\\
    90msp-RKSJ-V \\\
    90pv-RKSJ-H \\\
    90pv-RKSJ-V \\\
    Add-H \\\
    Add-RKSJ-H \\\
    Add-RKSJ-V \\\
    Add-V \\\
    Adobe-Japan1-0 \\\
    Adobe-Japan1-1 \\\
    Adobe-Japan1-2 \\\
    Adobe-Japan1-3 \\\
    Adobe-Japan1-4 \\\
    Adobe-Japan1-5 \\\
    Adobe-Japan1-6 \\\
    EUC-H \\\
    EUC-V \\\
    Ext-H \\\
    Ext-RKSJ-H \\\
    Ext-RKSJ-V \\\
    Ext-V \\\
    H \\\
    Hankaku \\\
    Hiragana \\\
    Identity-H \\\
    Identity-V \\\
    Katakana \\\
    NWP-H \\\
    NWP-V \\\
    RKSJ-H \\\
    RKSJ-V \\\
    Roman \\\
    UniJIS-UCS2-H \\\
    UniJIS-UCS2-HW-H \\\
    UniJIS-UCS2-HW-V \\\
    UniJIS-UCS2-V \\\
    UniJIS-UTF16-H \\\
    UniJIS-UTF16-V \\\
    UniJIS-UTF32-H \\\
    UniJIS-UTF32-V \\\
    UniJIS-UTF8-H \\\
    UniJIS-UTF8-V \\\
    UniJIS2004-UTF16-H \\\
    UniJIS2004-UTF16-V \\\
    UniJIS2004-UTF32-H \\\
    UniJIS2004-UTF32-V \\\
    UniJIS2004-UTF8-H \\\
    UniJIS2004-UTF8-V \\\
    UniJISPro-UCS2-HW-V \\\
    UniJISPro-UCS2-V \\\
    UniJISPro-UTF8-V \\\
    UniJISX0213-UTF32-H \\\
    UniJISX0213-UTF32-V \\\
    UniJISX02132004-UTF32-H \\\
    UniJISX02132004-UTF32-V \\\
    V \\\
    WP-Symbol

%define EncodeList_GB \\\
    Adobe-GB1-0 \\\
    Adobe-GB1-1 \\\
    Adobe-GB1-2 \\\
    Adobe-GB1-3 \\\
    Adobe-GB1-4 \\\
    Adobe-GB1-5 \\\
    GB-EUC-H \\\
    GB-EUC-V \\\
    GB-H \\\
    GB-RKSJ-H \\\
    GB-V \\\
    GBK-EUC-H \\\
    GBK-EUC-V \\\
    GBK2K-H \\\
    GBK2K-V \\\
    GBKp-EUC-H \\\
    GBKp-EUC-V \\\
    GBT-EUC-H \\\
    GBT-EUC-V \\\
    GBT-H \\\
    GBT-RKSJ-H \\\
    GBT-V \\\
    GBTpc-EUC-H \\\
    GBTpc-EUC-V \\\
    GBpc-EUC-H \\\
    GBpc-EUC-V \\\
    Identity-H \\\
    Identity-V \\\
    UniGB-UCS2-H \\\
    UniGB-UCS2-V \\\
    UniGB-UTF16-H \\\
    UniGB-UTF16-V \\\
    UniGB-UTF32-H \\\
    UniGB-UTF32-V \\\
    UniGB-UTF8-H \\\
    UniGB-UTF8-V

%define EncodeList_CNS \\\
    Adobe-CNS1-0 \\\
    Adobe-CNS1-1 \\\
    Adobe-CNS1-2 \\\
    Adobe-CNS1-3 \\\
    Adobe-CNS1-4 \\\
    Adobe-CNS1-5 \\\
    Adobe-CNS1-6 \\\
    B5-H \\\
    B5-V \\\
    B5pc-H \\\
    B5pc-V \\\
    CNS-EUC-H \\\
    CNS-EUC-V \\\
    CNS1-H \\\
    CNS1-V \\\
    CNS2-H \\\
    CNS2-V \\\
    ETHK-B5-H \\\
    ETHK-B5-V \\\
    ETen-B5-H \\\
    ETen-B5-V \\\
    ETenms-B5-H \\\
    ETenms-B5-V \\\
    HKdla-B5-H \\\
    HKdla-B5-V \\\
    HKdlb-B5-H \\\
    HKdlb-B5-V \\\
    HKgccs-B5-H \\\
    HKgccs-B5-V \\\
    HKm314-B5-H \\\
    HKm314-B5-V \\\
    HKm471-B5-H \\\
    HKm471-B5-V \\\
    HKscs-B5-H \\\
    HKscs-B5-V \\\
    Identity-H \\\
    Identity-V \\\
    UniCNS-UCS2-H \\\
    UniCNS-UCS2-V \\\
    UniCNS-UTF16-H \\\
    UniCNS-UTF16-V \\\
    UniCNS-UTF32-H \\\
    UniCNS-UTF32-V \\\
    UniCNS-UTF8-H \\\
    UniCNS-UTF8-V

%define EncodeList_Korea \\\
    Adobe-Korea1-0 \\\
    Adobe-Korea1-1 \\\
    Adobe-Korea1-2 \\\
    Identity-H \\\
    Identity-V \\\
    KSC-EUC-H \\\
    KSC-EUC-V \\\
    KSC-H \\\
    KSC-Johab-H \\\
    KSC-Johab-V \\\
    KSC-RKSJ-H \\\
    KSC-V \\\
    KSCms-UHC-H \\\
    KSCms-UHC-HW-H \\\
    KSCms-UHC-HW-V \\\
    KSCms-UHC-V \\\
    KSCpc-EUC-H \\\
    KSCpc-EUC-V \\\
    UniKS-UCS2-H \\\
    UniKS-UCS2-V \\\
    UniKS-UTF16-H \\\
    UniKS-UTF16-V \\\
    UniKS-UTF32-H \\\
    UniKS-UTF32-V \\\
    UniKS-UTF8-H \\\
    UniKS-UTF8-V

Summary: Morisawa Japanese/English OpenType Font Basic 7 fonts
Summary(ja): 日本語 モリサワ OpenType フォント(基本７書体)
Name: OpenType-morisawa
Version: 1.0
Release: 3%{?_dist_release}
BuildArch: noarch

Source0: DUMMY
# Source0: A-OTF-RyuminPro-Light.otf
# Source1: A-OTF-MidashiMinPro-MA31.otf
# Source2: A-OTF-MidashiGoPro-MB31.otf
# Source3: A-OTF-Jun101Pro-Light.otf
# Source4: A-OTF-GothicBBBPro-Medium.otf
# Source5: A-OTF-FutoMinA101Pro-Bold.otf
# Source6: A-OTF-FutoGoB101Pro-Bold.otf
# %if %{?extras:1} %{!?extras:0}
# Source10: A-OTF-Jun201Pro-Regular.otf
# Source11: A-OTF-Jun34Pro-Medium.otf
# Source12: A-OTF-Jun501Pro-Bold.otf
# Source13: A-OTF-RyuminPro-Bold.otf
# Source14: A-OTF-RyuminPro-Heavy.otf
# Source15: A-OTF-RyuminPro-Medium.otf
# Source16: A-OTF-RyuminPro-Regular.otf
# Source17: A-OTF-RyuminPro-Ultra.otf
# Source18: A-OTF-ShinGoPro-Bold.otf
# Source19: A-OTF-ShinGoPro-Heavy.otf
# Source20: A-OTF-ShinGoPro-Light.otf
# Source21: A-OTF-ShinGoPro-Medium.otf
# Source22: A-OTF-ShinGoPro-Regular.otf
# Source23: A-OTF-ShinGoPro-Ultra.otf
# %endif

%if %{?nosrc:1} %{!?nosrc:0}
NoSource: 0
# NoSource: 1
# NoSource: 2
# NoSource: 3
# NoSource: 4
# NoSource: 5
# NoSource: 6
# %if %{?extras:1} %{!?extras:0}
# NoSource: 10
# NoSource: 11
# NoSource: 12
# NoSource: 13
# NoSource: 14
# NoSource: 15
# NoSource: 16
# NoSource: 17
# NoSource: 18
# NoSource: 19
# NoSource: 20
# NoSource: 21
# NoSource: 22
# NoSource: 23
# %endif
%endif

Source100: otf-morisawa-RmSgSmg.map

License: Morisawa & Company Ltd.
URL: http://www.morisawa.co.jp
Group: User Interface/X
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

Obsoletes: OTF-Morisawa-basic7 < 1.0-3
Obsoletes: OTF-Morisawa-RmSgSmg < 1.0-3
Obsoletes: OTF-Morisawa-extras < 1.0-3

Requires(post): fontconfig ghostscript texmacro-otf chkfontpath
Requires(postun): fontconfig ghostscript texmacro-otf

Distribution: Vine Linux
Vendor: Project Vine

%description
Morisawa basic 7 Japanese OpenType Font
If you want to use Morisawa-basic7 OpneType Font on X and teTeX 
(xdvi, dvips, dvipdfmx), Ghostscript, 
you build and install this package.
To build this package, you copy Morisawa Fonts from package
which you bought to ~/rpm/SOURCES
"A-OTF-FutoGoB101Pro-Bold.otf" "A-OTF-FutoMinA101Pro-Bold.otf"
"A-OTF-GothicBBBPro-Medium.otf" "A-OTF-Jun101Pro-Light.otf"
"A-OTF-MidashiGoPro-MB31.otf" "A-OTF-MidashiMinPro-MA31.otf"
"A-OTF-RyuminPro-Light.otf"
Then you type
$ rpm -bb ~/rpm/SPEC/%{name}-vl.spec
$ sudo apt-get install ~/rpm/RPMS/noarch/%{name}-%{version}-%{release}.noarch.rpm

%description -l ja
モリサワの基本７書体 日本語 OpenType フォント
購入したパッケージのヒラギノ基本６書体日本語 OpenType フォントを 
X や TeX Live ((p)xdvi, (p)dvips, dvipdfmx)、
Ghostscript で使用したい場合はこのパッケージを
構築してインストールして下さい。
このパッケージを構築するには購入したパッケージからフォントを 
~/rpm/SOURCES にコピーします。
"A-OTF-FutoGoB101Pro-Bold.otf" "A-OTF-FutoMinA101Pro-Bold.otf"
"A-OTF-GothicBBBPro-Medium.otf" "A-OTF-Jun101Pro-Light.otf"
"A-OTF-MidashiGoPro-MB31.otf" "A-OTF-MidashiMinPro-MA31.otf"
"A-OTF-RyuminPro-Light.otf"
次に、
$ rpm -bb ~/rpm/SPEC/%{name}-vl.spec
$ sudo apt-get install ~/rpm/RPMS/noarch/%{name}-%{version}-%{release}.noarch.rpm
とタイプして下さい。

%prep

%build

%install
%__rm -rf %{buildroot}
%__mkdir -p %{buildroot}%{xfontdir}
%__mkdir -p %{buildroot}%{gsfontdir}
%__mkdir -p %{buildroot}%{gsfontspecdir}
%__mkdir -p %{buildroot}%{texfontdir}

%__install -p -m 644 %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} \
    %{SOURCE4} %{SOURCE5} %{SOURCE6} \
    %if %{?extras:1} %{!?extras:0}
        %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} %{SOURCE15} %{SOURCE16} %{SOURCE17} %{SOURCE18} %{SOURCE19} %{SOURCE20} %{SOURCE21} %{SOURCE22} %{SOURCE23} \
    %endif
    %{buildroot}/%{xfontdir}

## mkgsfontspec [fontname] [encode] > [fontspec]
mkgsfontspec(){
    local fontname=$1
    local encode=$2
	cat <<EOT
%%!PS-Adobe-3.0 Resource-Font
%%%%DocumentNeededResources: ${encode} (CMap)
%%%%IncludeResource: ${encode} (CMap)
%%%%BeginResource: Font (${fontname}-${encode})
(${fontname}-${encode})
(${encode}) /CMap findresource
[(${fontname}) /CIDFont findresource]
composefont
pop
%%%%EndResource
%%%%EOF
EOT
}

for i in %{FontList}; do
    fnt=$(echo $i | %__sed -e "s/,.*$//")
    enc=$(echo $i | %__sed -e "s/^.*,//")

    case $enc in
    	 Japan)	enclist="%{EncodeList_Japan}";;
	 GB)	enclist="%{EncodeList_GB}";;
	 CNS)	enclist="%{EncodeList_CNS}";;
	 Korea)	enclist="%{EncodeList_Korea}";;
	 *)	exit 1;;
    esac

    %__ln_s -f %{xfontdir}/${fnt}.otf %{buildroot}%{texfontdir}/A-OTF-${fnt}.otf
    %__ln_s -f %{xfontdir}/${fnt}.otf %{buildroot}%{gsfontdir}/${fnt}

    for j in $enclist; do
    	mkgsfontspec ${fnt} ${j} > %{buildroot}%{gsfontspecdir}/${fnt}-${j}
    done
done


%__mkdir -p %{build_mapdir}
%__install -m 644 %{SOURCE100} %{build_mapdir}/


%post
%__font_install_post %{xfontdir}

%{exec_updmap_otf}
exit 0

%postun
%__font_install_postun %{xfontdir}

if [ "$1" = "0" ]; then
    %{exec_updmap_otf}
fi
exit 0

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
#%doc README*
%{xfontdir}/*
%{gsfontdir}/*
%{gsfontspecdir}/*
%{texfontdir}/*

%changelog
* Sat Jun 11 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-3
- supported Vine Linux 6 + TeX Live 2009
- added Obsoletes: 
  - OTF-Morisawa-basic7 < 1.0-3
  - OTF-Morisawa-RmSgSmg < 1.0-3
  - OTF-Morisawa-extras < 1.0-3

* Sat Jun 20 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-2
- changed xfontdir

* Sun Jun 07 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-1
- spec in utf8
- applied new versioning policy
- s/Copyright/License/
- corrected %%description
- setup for Ghostscript 8.64
  - created many font spec files

* Sat Jun 18 2005 KOBAYASHI Taizo <tkoba@ike-dyn.ritsumei.ac.jp> 1.0-0vl5
- modified for teTeX3

* Sun Apr 11 2004 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumei.ac.jp> 1-0vl4
- more fix postun

* Thu Apr 08 2004 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumei.ac.jp> 1-0vl3
- fix postun

* Fri Apr 02 2004 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumei.ac.jp> 1-0vl2
- added target "auto" for updmap-otf v0.2

* Sun Mar 28 2004 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumei.ac.jp> 1-0vl1
- modified for Vine

* Sat Oct 18 2003 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumei.ac.jp> 0.1-0il2
- modified post and postun section

* Sat Jun 28 2003 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumei.ac.jp> 0.1-0il1
- initial release for Morisawa OpenType Font.
