%define fontname linux-libertine
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: Linux libertine TrueType font
Summary(ja): Linux libertine TrueType フォント
Version: 5.0.0
Release: 1%{?_dist_release}
License: GPLv2+ and OFL
Group: User Interface/X
URL: http://sourceforge.net/projects/linuxlibertine/
Source0: LinLibertineTTF_2011_05_22.tgz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
#Requires: TrueType-%{fontname}-bold >= %{version}
#Requires: TrueType-%{fontname}-regular >= %{version}
#Requires: TrueType-%{fontname}-italic >= %{version}
Requires: TrueType-%{fontname}-doc

Obsoletes: TrueType-%{fontname}-bold
Obsoletes: TrueType-%{fontname}-regular
Obsoletes: TrueType-%{fontname}-italic

%description
The Linux Libertine Open Fonts are TrueType font family for practical
use in documents. They were created to provide a free alternative to
proprietary standard fonts such as Times New Roman.

%description -l ja
The Linux Libertine Open Fonts は文書に使用する実用的な
TrueType フォントファミリです。
これらのフォントは Times New Roman のようなプロプライエタリな
スタンダードフォントの代替品を無料で提供するために作成されました。

このパッケージは Linux libertine フォントのメタパッケージです。
libertine・biolinum の両パッケージをインストールします。

%package -n TrueType-libertine
Summary: Linux Libertine font
Summary(ja): Linux Libertine フォント
Group: User Interface/X
Requires: TrueType-%{fontname}-doc

%description -n TrueType-libertine
This package includes Linux Libertine fonts.

%description -l ja -n TrueType-libertine
このパッケージには Linux Libertine フォントが含まれています。

%package -n TrueType-biolinum
Summary: Linux biolinum font
Summary(ja): Linux biolinum フォント
Group: User Interface/X
Requires: TrueType-%{fontname}-doc

%description -n TrueType-biolinum
This package includes Linux biolinum fonts.

%description -l ja -n TrueType-biolinum
このパッケージには Linux biolinum フォントが含まれています。

%package doc
Summary: Linux libertine TrueType font document
Summary(ja): Linux libertine TrueType フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Linux libertine TrueType font
includes enduser license.

%description -l ja doc
このパッケージには Linux libertine TrueType フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -c LinLibertineTTF_2011_05_22

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post -n TrueType-libertine
%__font_install_post %{_fontdir}

%postun -n TrueType-libertine
%__font_install_post %{_fontdir}

%post -n TrueType-biolinum
%__font_install_post %{_fontdir}

%postun -n TrueType-biolinum
%__font_install_post %{_fontdir}

%files

%files -n TrueType-libertine
%{_fontdir}/LinLibertine_*.ttf

%files -n TrueType-biolinum
%{_fontdir}/LinBiolinum_*.ttf

%files doc
%doc *.txt README

%changelog
* Sun Jun 12 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 5.0.0-1
- new upstream release
- obsoleted bold/regular/italic pacakages
  - two new packages, TrueType-libertine and TrueType-biolinum

* Sat Jan 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 4.7.5-1
- new upstream release
- added Requires: TrueType-linux-libertine-{bold, regular, italic}
- included new font

* Sat Jan 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 4.4.1-1
- initial build for VineSeed
