%define _fontdir %{_datadir}/fonts/%{name}
%define migu_version 20110514
%define inconsolata_version 001.010

Summary: TrueType font designed for programing
Summary(ja): プログラミング用 TrueType フォント
Name: TrueType-ricty
Version: 3.0.2
Release: 1%{?_dist_release}
License: public domain, SIL OFL v1.1, M+ FONT LICENSE, IPA Font License v1.0
Group: User Interface/X
URL: http://save.sys.t.u-tokyo.ac.jp/~yusa/fonts/ricty.html
Source0: http://save.sys.t.u-tokyo.ac.jp/~yusa/fonts/ricty/Ricty-%{version}.tar.gz
Requires: OpenType-inconsolata >= %{inconsolata_version}
Requires: TrueType-migu >= %{migu_version}

BuildRequires: fontforge

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ricty is a free, TrueType font designed for programing. 

We remark that Ricty fonts is generated in the installation of this package. 


%description -l ja
Ricty は Linux 環境での研究・開発に適したフリーのプログラミング用 
TrueType フォントです。

Ricty フォントは、パッケージのインストール時に生成されます。

%prep
%setup -q -n Ricty-%{version}

%build

%install
%__rm -rf $RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT%{_datadir}/%{name}
%__cp -a ricty_discord_patch.pe $RPM_BUILD_ROOT%{_datadir}/%{name}/
%__cp -a ricty_generator.sh $RPM_BUILD_ROOT%{_datadir}/%{name}/

%__mkdir_p $RPM_BUILD_ROOT%{_fontdir}


%clean
%__rm -rf $RPM_BUILD_ROOT

%post
#set -x
echo "Generating Ricty fonts ... "
(cd %{_fontdir}
    %__cp %{_datadir}/%{name}/ricty_discord_patch.pe . || exit 1
    %__cp %{_datadir}/%{name}/ricty_generator.sh . || exit 1
    sh ricty_generator.sh \
        %{_datadir}/fonts/OpenType-inconsolata/Inconsolata.otf \
	%{_datadir}/fonts/TrueType-migu/Migu-1M-regular.ttf \
	%{_datadir}/fonts/TrueType-migu/Migu-1M-bold.ttf
    %__rm -f ricty_discord_patch.pe ricty_generator.sh ||:
    [ ! -f Ricty-Regular.ttf ] && echo "failed." && exit 1
    [ ! -f Ricty-Bold.ttf ] && echo "failed." && exit 1
)
echo "done."
%__font_install_post %{_fontdir}

%preun
if [ "$1" = 0 ]; then
    %__rm -f %{_fontdir}/Ricty{,Discord}-{Regular,Bold}.ttf ||:
fi

%postun
%__font_install_postun %{_fontdir}

%files
%defattr(-,root,root,-)
%{_datadir}/%{name}/
# %{_fontdir}/Ricty-Regular.ttf
# %{_fontdir}/Ricty-Bold.ttf
# %{_fontdir}/RictyDiscord-Regular.ttf
# %{_fontdir}/RictyDiscord-Bold.ttf
%{_fontdir}/

%changelog
* Sun Jun  5 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.0.2-1
- Initial build.
