%define with_python 1

%define build_vine5 0

%if "%{?_dist_release}" == "vl5"
%define build_vine5 1
%endif

%define snapver git522
%define srcver %{version}.%{snapver}

Name: apt
Version: 0.5.15lorg3.95
Release: 12.%{snapver}%{?_dist_release}
Summary: Advanced front-end for rpm (APT - Advanced Package Tool)
Summary(ja): RPM の高機能なフロントエンド (APT - アドバンスドパッケージツール)
Group: Applications/Administration
License: GPLv2+
Url: http://apt-rpm.org/

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

Source0: %{name}-%{srcver}.tar.bz2
Source1: apt.conf-0.5.15

Source3: vendors.list-0.5.15
Source5: gpg-keyring.conf
Source7: system-duplicate-package.conf
Source8: allow-duplicated-upgrade.conf
Source9: acquire-default.conf

Source10: sources.list-vine
Source20: preferences.vine
Source30: rpmpriorities.vineseed
Source31: rpmpriorities.vine5

Source50: remove-old-kernels.lua
Source51: remove-old-kernels.conf

Source100: apt-0.5.15lorg3.93-ja.po

Source110: apt-japanese-man-pages.tar.bz2

# patches from MDK/ALT/upstream

# patches from fedora/upstream
# Fix ppc mapping
Patch0: apt-0.5.15lorg3.2-ppc.patch
# band aid for mmap issues (#211254)
Patch1: apt-0.5.15lorg3.x-cache-corruption.patch

# enhance the sorting by taking Obsoletes into account
Patch10:		%{name}-0.3.19cnc53-stelian-apt-pkg-algorithms-scores.patch.bz2
# ignore versionless reverse dependencies 
Patch11:		%{name}-0.5.4cnc9-alt-packagemanager-CheckRConflicts.patch.bz2
# alternative scoring method ( PreDepends implies -1 instead of +50 )
Patch12:		%{name}-0.5.4cnc9-alt-pkgorderlist_score.patch.bz2
# add # to the list of the forbidden char in the name of cdrom
Patch13:	%{name}-0.5.4cnc9-alt-specialchars.patch.bz2
# a quick bugfixe to make build-dep work
Patch16:    %{name}-build-dep.patch.bz2

# Vine patch
# support "$(ARCH)" in sources.list
Patch100: apt-0.5.4-ARCH.patch
# set HOME=/root on exec gpg
Patch120: apt-0.5.15lorg3.2-setenv-home.patch
# apt-cdrom mounts cdrom device without fstab modification.
Patch130: apt-0.5.15lorg3.2-apt-cdrom-fstab-free.patch
# select correct version of kernel on apt-get upgrade (allow-duplicated.lua)
Patch140: apt-0.5.15lorg3.2-allow-duplicated_lua.patch
# more gettextize
Patch150: apt-0.5.15lorg3.95-git522-gettextize.patch
# set RPM_IGNORE_SCRIPTLETS_FAILURE to ignore rpm scriptlets failure
Patch160: apt-0.5.15lorg3.93-ignore-scriptlets-failure.patch
# use lua-rex for rex
Patch170: apt-0.5.15lorg3.95-lua-rex.patch
# handle not only legacy PreReq but also Requires(pre,post) as PreDepends
Patch180: apt-0.5.15lorg3.95.git522-handle-requires-prepost.patch
# add swig2 pregenerated files
Patch200: apt-0.5.15lorg3.95.git522-swig2-pregenerated-files.patch

# revert patch
# http://apt-rpm.org/scm/?p=apt.git;a=commit;h=33283508cae4d598062561fe7c096238649adcba
# this commit breaks local package install...
Patch210: apt-0.5.15lorg3.95.git522-revert-mass-constify-rpmhandler-getter-methods.patch

# revert patch
# http://apt-rpm.org/scm/?p=apt.git;a=commit;h=0cc8fd20721f543bb8feb2cd98102dcc63c921b0
# http://apt-rpm.org/scm/?p=apt.git;a=commit;h=70f33318cc6a391a92f77a37a4f7773e6008dc36
# new genpkglist does not handle userfulFile correctly
Patch220: apt-0.5.15lorg3.95-revert-genbasedir.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post): ldconfig, coreutils
Requires(postun): ldconfig
Requires(triggers): sed, coreutils
Requires: rpm >= 4.0.4, gnupg, bzip2
Requires: readline >= 4.3
Requires: vine-keyring
Requires: apt-sourceslist-main
Requires: lua-rex
BuildRequires: rpm-devel >= 4.0.4
BuildRequires: bzip2-devel, zlib-devel
BuildRequires: glibc-devel, popt
BuildRequires: gettext
BuildRequires: readline-devel >= 4.3
BuildRequires: autoconf
BuildRequires: docbook-utils >= 0.6.14-4
BuildRequires: cvs
BuildRequires: libxml2-devel >= 2.6
BuildRequires: lua-devel
%if %{with_python}
BuildRequires: python
BuildRequires: python-devel
%endif

%description
A port of Debian's apt tools for RPM based distributions.
It provides the apt-get utility that provides a simpler, 
safer way to install and upgrade packages. APT features 
complete installation ordering, multiple source capability 
and several other unique features.

%description -l ja
これは rpm 対応の apt です。 apt-get は簡単かつ安全にパッケージ
のアップグレード,インストールを行うことができるコマンドです。
apt は依存関係の解決、インストール順序の補完などさまざまな特
徴があります。


%package devel
Summary: Development files and documentation for APT's libapt-pkg
Summary(ja): APT のライブラリ(libapt-pkg) の開発用ファイルとドキュメント
Group: Development/Libraries
Requires(pre): %{name} = %{version}-%{release}
Obsoletes: libapt-pkg-devel <= 0.3.19cnc30, libapt-pkg-doc <= 0.3.19cnc30

%description devel
This package contains the header files and static libraries for
developing with APT's libapt-pkg package manipulation library,
modified for RPM.

%description devel -l ja
このパッケージには、rpm 向けに改変された APT の、libapt-pkg
パッケージ操作ライブラリを使って開発するための、ヘッダファイル
とスタティックライブラリが含まれています。

%if %{with_python}
%package -n python-apt
Summary: Python binding for APT
Summary(ja): APT 用 Python バインディング
Group: Development/Languages
Requires: %{name} = %{version}-%{release}

%description -n python-apt
This package contains the python binding for apt libraries.

%description -n python-apt -l ja
このパッケージには apt ライブラリの python バインディング
が含まれています。
%endif

%prep
%setup -q -a 110 -n %{name}-%{srcver}
%patch0 -p1 -b .ppc
%patch1 -p0 -b .mmap

%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch16 -p1

%patch100 -p0
%patch120 -p1
%patch130 -p1
%patch140 -p1
%patch150 -p1
%patch160 -p1
%patch170 -p1
%patch180 -p1
%patch200 -p1

%patch210 -p1

%patch220 -p1

cp %{SOURCE100} po/ja.po
%if %{build_vine5}
cp %{SOURCE31} rpmpriorities
%else
cp %{SOURCE30} rpmpriorities
%endif

%build
autoreconf -f -i
%configure \
  --disable-dependency-tracking --disable-static \
  CPPFLAGS=-D_RPM_4_4_COMPAT

%__make %{?_smp_mflags}
%__make -C po ja.gmo

%if %{with_python}
pushd python
%__make
python -O -c "import py_compile; py_compile.compile('apt.py')"
popd
%endif

# build japanese man pages
pushd doc/ja
# if you need utf-8 man page , add BuildRequires: nkf
# %{__make} convert_to_utf-8
%{__make}
popd

%install
rm -fr %{buildroot}

%makeinstall includedir=%{buildroot}%{_includedir}/apt-pkg 

# stat directories
mkdir -p %{buildroot}%{_var}/cache/apt/archives/partial
mkdir -p %{buildroot}%{_var}/cache/apt/genpkglist
mkdir -p %{buildroot}%{_var}/cache/apt/gensrclist

# config files
mkdir -p %{buildroot}%{_sysconfdir}/apt
mkdir -p %{buildroot}%{_sysconfdir}/apt/apt.conf.d
mkdir -p %{buildroot}%{_sysconfdir}/apt/translate.list.d
mkdir -p %{buildroot}%{_sysconfdir}/apt/sources.list.d
install %{SOURCE1} %{buildroot}%{_sysconfdir}/apt/apt.conf
install %{SOURCE10} %{buildroot}%{_sysconfdir}/apt/sources.list
install %{SOURCE10} %{buildroot}%{_sysconfdir}/apt/sources.list.dist
install %{SOURCE20} %{buildroot}%{_sysconfdir}/apt/preferences
install %{SOURCE3} %{buildroot}%{_sysconfdir}/apt/vendors.list
install rpmpriorities %{buildroot}%{_sysconfdir}/apt
install %{SOURCE5} %{buildroot}%{_sysconfdir}/apt/apt.conf.d/gpg-keyring.conf
install %{SOURCE7} %{buildroot}%{_sysconfdir}/apt/apt.conf.d/system-duplicate-package.conf
install %{SOURCE8} %{buildroot}%{_sysconfdir}/apt/apt.conf.d/allow-duplicated-upgrade.conf
install %{SOURCE9} %{buildroot}%{_sysconfdir}/apt/apt.conf.d/acquire-default.conf


# scripts dirs
mkdir -p %{buildroot}%{_datadir}/apt/scripts

# install contribs
pushd contrib

# install apt-wrapper
cat apt-wrapper/apt | tr -d "\r" > apt-wrapper/apt.new
install -m 755 apt-wrapper/apt.new %{buildroot}%{_bindir}/apt
install -d %{buildroot}%{_mandir}/man1/
install apt-wrapper/apt.1 %{buildroot}%{_mandir}/man1/

# install lua scripts, but not install .conf file.
for i in allow-duplicated guess \
         install-devel list-extras list-nodeps \
	 proxypasswd log
do
  install $i/$i.lua %{buildroot}%{_datadir}/apt/scripts
done

# install some lua script .conf file to apt.conf.d
for i in allow-duplicated list-extras list-nodeps
do
  install $i/$i.conf %{buildroot}%{_sysconfdir}/apt/apt.conf.d/
done
popd

# install remove-old-kernels.{lua,conf}
install %{SOURCE50} %{buildroot}%{_datadir}/apt/scripts
install %{SOURCE51} %{buildroot}%{_sysconfdir}/apt/apt.conf.d/remove-old-kernels.conf

%if %{with_python}
# install apt.py
mkdir -p %{buildroot}%{python_sitearch}/
install -m 644 python/apt.py* %{buildroot}%{python_sitearch}/
install -m 755 python/_apt.so %{buildroot}%{python_sitearch}/
touch %{buildroot}%{python_sitearch}/apt.pyo
%endif

# remove unpackaged files
rm -f %{buildroot}%{_libdir}/libapt-pkg.la
      
# install japanese man pages
pushd doc/ja
%{__make} install MANDIR-JA="%{buildroot}%{_mandir}/ja"
popd
      

%triggerun -- apt < 0.5.4
CONF=/etc/apt/apt.conf
if [ -f $CONF ]; then
   mv $CONF $CONF.rpmold
   sed -e 's/HoldPkgs/Hold/' \
       -e 's/AllowedDupPkgs/Allow-Duplicated/' \
       -e 's/IgnorePkgs/Ignore/' \
       -e 's/PostInstall/Post-Install/' \
       -e 's#Methods .*#Methods "/usr/lib/apt/methods";#' \
       $CONF.rpmold > $CONF
fi

%triggerun -- apt <= 0.5.15.cnc.7
SOURCESLIST=/etc/apt/sources.list
if [ -f $SOURCESLIST ]; then
  cp -f $SOURCESLIST $SOURCESLIST.rpmsave
  cp $SOURCESLIST.dist $SOURCESLIST
fi

%triggerun -- apt < 0.5.15lorg3.94a
SOURCESLIST=/etc/apt/sources.list
if [ -f $SOURCESLIST ]; then
  cp -f $SOURCESLIST $SOURCESLIST.rpmsave
  cp $SOURCESLIST.dist $SOURCESLIST
fi


%post
ldconfig -n %{_libdir}
rm -f %{_var}/cache/apt/*.bin
if [ ! -d /mnt/cdrom ]; then
    mkdir -p /mnt/cdrom ||:
fi

%postun
ldconfig -n %{_libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,755)
%doc AUTHORS* COPYING* TODO*
%doc doc/examples/
%doc contrib/allow-duplicated contrib/apt-wrapper contrib/guess contrib/install-devel
%doc contrib/list-extras contrib/list-nodeps contrib/proxypasswd contrib/log
%{_mandir}/man?/*
%{_mandir}/ja/man?/*
%{_libdir}/*.so.*
%{_datadir}/locale/*/LC_MESSAGES/*
%dir %{_sysconfdir}/apt
%dir %{_sysconfdir}/apt/apt.conf.d
%dir %{_sysconfdir}/apt/translate.list.d
%dir %{_sysconfdir}/apt/sources.list.d
%config(noreplace) %{_sysconfdir}/apt/apt.conf 
%config(noreplace) %{_sysconfdir}/apt/preferences
%config(noreplace) %verify(not mtime) %{_sysconfdir}/apt/sources.list
%{_sysconfdir}/apt/sources.list.dist
%config %{_sysconfdir}/apt/apt.conf.d/*
%config %{_sysconfdir}/apt/vendors.list
%config %{_sysconfdir}/apt/rpmpriorities
%dir %{_var}/cache/apt
%{_var}/cache/apt
%dir %{_var}/lib/apt
%{_var}/lib/apt
%defattr(755,root,root)
%dir %{_libdir}/apt
%dir %{_libdir}/apt/methods
%dir %{_datadir}/apt/scripts
%{_libdir}/apt/methods/*
%{_datadir}/apt/scripts/*
%{_bindir}/*

%files devel
%defattr(0644,root,root,755)
%{_libdir}/*.so
%dir %{_includedir}/apt-pkg
%{_includedir}/apt-pkg/*
%{_libdir}/pkgconfig/libapt-pkg.pc

%if %{with_python}
%files -n python-apt
%defattr(0644,root,root,755)
%{python_sitearch}/*.so
%{python_sitearch}/*.py*
%endif

%changelog
* Sun Jun 12 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.95-12.git522
- modify apt.conf
  - Acquire::Retiries "3";
- add acquire-default.conf to set default parameters.
  - Acquire::Retiries "3"; Acquire::Queue-mode "access";
 
* Wed Jun 08 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.95-11.git522
- add another revert patch
  new genpkglist/gensrclist does not handle userfulFile correctly.
  http://apt-rpm.org/scm/?p=apt.git;a=commit;h=0cc8fd20721f543bb8feb2cd98102dcc63c921b0
  http://apt-rpm.org/scm/?p=apt.git;a=commit;h=70f33318cc6a391a92f77a37a4f7773e6008dc36

* Sun May 01 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.95-10.git522
- add revert patch 
  this commit breaks local package install...
  http://apt-rpm.org/scm/?p=apt.git;a=commit;h=33283508cae4d598062561fe7c096238649adcba

* Sun May 01 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.95-9.git522
- update to upstream git snapshot
  - drop upstreamed patches

* Sat Mar 19 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.95-8.git416
- drop vine4 support
- add vine5 support
- update rpmpriorities for VineSeed (s/util-linux-ng/utillinux)

* Mon Aug 30 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.95-7.git416
- update Summary and Description
- update remove-old-kernels.lua
  - check /boot/vmlinuz and latest kernel package.

* Fri Mar  5 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.5.15lorg3.95-6.git416
- add BR: lua-devel
- add Patch180 (not only PreReq but also Requires(pre,post) as PreDepends)

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.5.15lorg3.95-5.git416
- rebuilt with gcc-4.4.3-3 on ppc

* Fri Feb  5 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.5.15lorg3.95-4.git416
- rebuilt with rpm-4.8.0-3 (on ppc)

* Wed Feb 03 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.5.15lorg3.95-3.git416
- added BR: python-devel.
- changed PreReq: to Requires(pre):.

* Wed Feb 03 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.95-2.git416
- add Patch170 to use external rex module
  - add R: lua-rex

* Tue Feb 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.95-1.git416
- update to upstream git snapshot
- add patch1-8 from fedora/upstream
- build with rpm-4.8.0
- disable static libs

* Thu Aug 20 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.94a-16
- add triggerun script to upgrade from old apt (vine4.x's)

* Sun May 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.94a-15
- update remove-old-kernels.lua
  - add kernel-{pae,smp}-devel to remove list

* Tue May 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.94a-14
- split out remove-old-kernels.lua from allow-duplicated.lua
  - add exception/error handling
  - remove Patch170

* Sun May 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.94a-13
- add Patch170: remove kernel/kernel-devel older than current running
                version. (by default) This feature can disable by apt
                configuration file.
- renumber patch130-patch1000

* Thu May 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.94a-12
- add patch from upstream
  - Patch22: Fix infinite loop in pkgAcquire::UriIterator

* Mon May 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.94a-11
- add patches from upstream git
  - Patch17: add default constructor, required for aptitude 0.4.1
  - Patch18: optimize redundant gettimeofday()
  - Patch19: use --cachedir for gensrclist too
  - Patch20: use find() instead of manual search for RPMHandler::HasFile()
  - Patch21: apt-shell: quit from shell by Ctrl+D

* Thu Mar 19 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.5.15lorg3.94a-10
- bytecompile python module

* Thu Mar 19 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.5.15lorg3.94a-9
- enable building python-apt subpackage now

* Wed Mar 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.94a-8
- add module-init-tools to rpmpriorities instead of modutils

* Mon Feb 02 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.94a-7
- add kernel-pae* to system-duplicate-package.conf

* Sun Feb 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.15lorg3.94a-6
- re-update Source10 (sources.list-0.5.15-vineseed) for sources.list separetion
- add Requires: apt-sourceslist-main

* Tue Jan 27 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.15lorg3.94a-5
- update Source10 (sources.list-0.5.15-vineseed) for sources.list separetion

* Sun Aug 31 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.15lorg3.94a-4
- spec in UTF-8
- update Source100 (ja.po) <BTS:VineLinux:626 & 636>
- add japanese description for devel and python-apt sub packages

* Wed Jul  2 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.5.15lorg3.94a-3
- update Source30 (util-linux-ng instead of util-linux)

* Sat May 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.94a-2
- add /etc/apt/sources.list.d
- add /var/lib/apt, /var/lib/apt/lists
- use BuildRequires instead of BuildPreReq
- use Requires(post,postun,triggers) instead of PreReq

* Sat May 10 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.15lorg3.94a-1
- new upstream release
- update Patch900
- remove %{_var}/state/apt from %%files list (no longer supported)
- apply new versioning policy

* Mon Sep 15 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.93-0vl2
- update ja.po
- add Patch900 to translate more messages
- add Patch1000 to ignore rpm scriptlet failure in apt-get transaction

* Sun Sep 14 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.93-0vl1
- new upstream release

* Sat Sep 13 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl15
- rebuild with rpm-4.4.2.2

* Tue Sep 02 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 0.5.15lorg3.2-0vl14
- add Japanese translation of man pages.
  - add Source110
- update Patch15
  - close unclosed tags.
- add Vendor: Project Vine

* Wed May 09 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.5.15lorg3.2-0vl13
- rebuilt with new toolchain and db-4.3.x

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl12
- remove apt pin setting from /etc/apt/preferences

* Thu Mar 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl11
- rebuild for VineSeed

* Thu Mar 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl10
- fix bug in allow-duplicated.lua. ([vine-users:076523])
  - select newest version of kernel on upgrade-mode.

* Thu Jan 18 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl9
- build for Vine Linux 4.1

* Thu Oct 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl8.1
- build for Vine Linux 4.0

* Thu Oct 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl8
- update ja.po
- fix typo in descriptions

* Thu Oct 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl7
- add Patch700
  apt-cdrom mounts cdrom device fstab entry.
- add triggerun script to upgrade sources.list

* Sun Oct 01 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl6.1
- change sources.list for Vine Linux 4.0

* Tue Sep 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl6
- remove extras from sources.list

* Fri Sep 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl5
- add Patch600 to set "HOME=/root" on exec gpg.

* Sat Aug 19 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.5.15lorg3.2-0vl4
- add BuildPreReq: cvs (required to run autoreconf)
- add BuildPreReq: libxml2-devel >= 2.6

* Sun Aug 13 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl3
- add BuildPreReq: docbook-utils

* Tue Jul 18 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl2
- add "^kernel-module" to system-duplicate-package.conf

* Thu Jun 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.2-0vl1
- new upstream release
- drop Patch600, merged in upstream.

* Fri Jun 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.1-0vl2
- add Patch600 to fix segv on installing new package.
  (merged in upstream)

* Tue May 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3.1-0vl1
- update to 0.5.15lorg3.1
- drop Patch120,300,400, merged in upstream.
- drop unneeded Patch14.

* Fri May 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3-0vl3
- drop kernel-upgrade.lua, use allow-duplicated.lua to upgrade kernels
  (BTS:39)
- fix line endings of apt-wrapper (convert CRLF to LF)
  (BTS:38)

* Fri May 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3-0vl2
- update ja.po

* Thu May 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3-0vl1
- update to 0.5.15lorg3 final

* Sun Apr 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3-0vl0.rc2.2
- change scripts dir to %%{_datadir} instead of %{_libdir}
  (BTS:37)

* Wed Apr 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3-0vl0.rc2.1
- update to 0.5.15lorg3-rc2
- update mirror URLs in sources.list

* Tue Apr 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3-0vl0.rc1.1
- update to 0.5.15lorg3-rc1
- change Group to Applications/Administration

* Sat Apr 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15lorg3-0vl0.pre4.1
- new upstream release
  - upstream auther is changed from Mandriva(aka Conectiva)
    to Panu Matilainen.
  - add Url: http://laiskiainen.org/
- TODO: We should check all patches whether it is still necessary.

* Fri Mar 10 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.7-0vl13
- update rpmpriorities (replace dev by udev)

* Mon Dec 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp>  0.5.15.cnc.7-0vl12
- remove version deps of vine-keyring

* Mon Dec 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp>  0.5.15.cnc.7-0vl11
- Patch10-16: import MDK/ALT patches

* Sat Dec 17 2005 Daisuke SUZUKI <daisuke@linux.or.jp>  0.5.15.cnc.7-0vl10
- drop Patch14 to disable AutoRebuildDB
  - rebuilddb should be executed by external rpm command, not internal librpm

* Sat Dec 17 2005 Daisuke SUZUKI <daisuke@linux.or.jp>  0.5.15.cnc.7-0vl9
- rebuild

* Fri Dec 16 2005 Daisuke SUZUKI <daisuke@linux.or.jp>  0.5.15.cnc.7-0vl8
- rebuild with rpm-4.4.2
- update Patch14 to support rpm-4.4

* Wed Aug 17 2005 Daisuke SUZUKI <daisuke@linux.or.jp>  0.5.15.cnc.7-0vl7
- update kernel-upgrade.lua to upgrade installed kernel only.

* Mon Jul 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp>  0.5.15.cnc.7-0vl6
- add python-apt subpackage (disabled by default)

* Tue Jun 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.7-0vl5
- add kernel26*, kernel-*devel as Allow-Duplicated (apt.conf)
- update kernel-upgrade.lua to check kernel24 pacakge.

* Wed Jun 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.7-0vl4
- update rpmpriorities (util-linux replaces mount)

* Mon May 02 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.7-0vl3
- update ja.po to fix mistranslation.

* Thu Apr 07 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 0.5.15.cnc.7-0vl2
- fixed rebuilddb patch ([VineSeed:08550])
  do rebuilddb after rpm upgrade

* Thu Apr 07 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.7-0vl1
- new upstream release

* Fri Feb 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.6-0vl11
- update rpmpriorities (coreutils releaces fileutils)

* Sun Jan 23 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.6-0vl10
- fix kernel-upgrade.lua
- update rpmpriorities

* Sat Jan 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.6-0vl9
- add kernel-upgrade.lua to select and install suitable kernel.
  - with this version, apt does not change lilo or grub settings.
- do not Hold kernel-{doc,headers,source,pcmcia-cs}

* Sat Jan 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.6-0vl8
- install {allow-duplicated,list-extras,list-nodeps}.conf to apt.conf.d
- add Patch30 to disable hash progress bar in quiet mode.

* Mon Aug 16 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.6-0vl6
- remove apt-files/apt-groupinstall which does not work with Vine Linux.

* Mon Jul 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.6-0vl5
- build for Vine Linux 3.0
  - use Vine Linux 3.0's apt-line

* Mon Jun 28 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.6-0vl4
- remove unused vendor key from vendors.list

* Mon Jun 21 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.6-0vl3
- update sources.list to use official apt line by default.

* Wed Apr  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.6-0vl2
- add Requires: vine-keyring >= 1.0 to verify apt repository's gpg signs.
- add apt.conf.d/gpg-keyring.conf to read vine-keyring.

* Tue Mar 23 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.6-0vl1
- new upstream release
- add apt wrapper
- install contrib lua scripts.

* Wed Dec 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.5-0vl1
- new upstream release

* Thu Dec 04 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.4-0vl1
- new upstream release
- remove ja.po and Patch15 which are included in upstream now

* Wed Nov 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.3-0vl1
- new upstream release
- update sources.list (remove old apt-line)

* Thu Nov 13 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.2-0vl1
- new upstream release
- update ja.po

* Thu Jun 12 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.5.cnc.6-0vl1
- new upstream release

* Sat Mar  8 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.5.cnc.4.1-0vl2
- update ja.po

* Sat Mar  8 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.5.cnc.4.1-0vl1
- new upstream release 0.5.5cnc4.1
  - new apt-shell command added
- add Requires: readline >= 4.3 and BuildPreReq: readline >= 4.3

* Tue Mar  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.5.cnc.3-0vl2
- remove bogus comment from apt/preferences...

* Tue Mar  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.5.cnc.3-0vl1
- new upstream release 0.5.5cnc3
- drop patch17
- update patch10,patch12,patch15
- update ja.po

* Mon Dec 16 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl18
- fixed typo
- rebuild to fix dependancy

* Tue Nov 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl17
- update ja.po to fix translations

* Tue Nov 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl16
- update ja.po

* Mon Nov 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl15
- add BuildPreReq: db2-devel

* Mon Nov 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl14
- add Patch17 to disable allowduplicate for kernel.*.
  kernel-{doc,headers,sources} is not duplicatable.
  we use apt.conf to allow duplicate kernel package.

* Mon Nov 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl13
- add Patch0,1 from cnc package
- renumber Vine patches.
- update vendors.list

* Fri Nov 22 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.5.4.cnc.9-0vl12
- added Patch10 (archtable.patch) for athlon, powerpc/ppc

* Fri Nov 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl11
- drop Patch6. apt not work with it...(FIXME)

* Fri Nov 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl10
- add /etc/apt/apt.conf.d

* Fri Nov 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl9
- add some missing files.
- add Patch6 to make static libs.

* Fri Nov 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl8
- add Patch4 to rebuilding rpmdb when rpm is upgraded.
- add Patch5 to gettextize apt-cdrom.
- update Patch0 to change some Distro name from Conectiva to Vine Linux
- update ja.po

* Fri Nov 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl7
- update ja.po

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl6
- update ja.po

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl5
- add Patch3 to replace $(ARCH) in sources.list any time.

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl4
- fixed typo in %%triggerun script

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl3
- update ja.po

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl2
- add patch2 to add ja to ALL_LINGUAS

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl1
- new upstream release
- build on rpm-4.0.4

* Sat Jul 13 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.1-1vl1
- build for Vine Linux
- new upstream release
  * Fri May 10 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
  + apt-0.5.4cnc1-1cl
  - New upstream release.

* Sun Apr 14 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.3.19.cnc.55-3vl9
- added static subpackage

* Thu Mar 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.55-3vl8
- update sources.list

* Tue Mar 12 2002 Toru Sagami <sagami@vinelinux.org> 0.3.19.cnc.55-3vl7
- corrected Group

* Sun Mar 10 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.3.19.cnc.55-3vl6
- updated Patch110 (archtable: powerpc -> ppc, ppc -> ppc)

* Thu Mar 07 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.3.19.cnc.55-3vl5
- updated patch105 to allowdup kernel-mol and kernel22-mol
  (but *-mol kernel package will be obsolete we hope...)

* Thu Mar 07 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.55-3vl4
- change powerpc to ppc in archtable for $(ARCH)
- hold kernel22 guys ( update patch105 )

* Mon Feb 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.55-3vl3
- update sources.list for new aptdata
- add hold information in apt.conf

* Sun Feb 24 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.55-3vl2
- hold kernel24 guys ( update patch105 )

* Sun Feb 10 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.55-3vl1
- new upstream version 0.3.19cnc55-3cl

* Wed Jan 30 2002 Jun Nishii <jun@vinelinux.org> 0.3.19.cnc.53-2vl3
- hold kernel related guys

* Tue Jan 15 2002 Flavio Bruno Leitner <flavio@conectiva.com>
+ apt-0.3.19cnc55-3cl
- added nodeps.patch to fix the order of parameters passed to
  rpm (closes: #4689, #4534)
  
* Wed Dec 12 2001 Flavio Bruno Leitner <flavio@conectiva.com>
+ apt-0.3.19cnc55-2cl
- Closes: #3950 (apt: falta internacionalizar algumas frases)
  added new pt_BR.po reviewed by me
    
* Tue Dec 11 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc55-1cl
- released version 0.3.19cnc55
- removed config.cache from distribution
- added --progress patch to gensrclist
- added --flat option to gensrclist
    
* Fri Nov 30 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc54-1cl
- released version 0.3.19cnc54
- added RPM::IgnorePkgs option
- added --progress option to most utilities 
        (Stelian Pop <stelian.pop@fr.alcove.com>)
- added RPM::IgnoreRpmlibDeps

* Sun Nov 25 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.53-2vl2
- update ja.po
- added apt-rpmmessage.patch to change message "Executing RPM(0)"
  to "Executing RPM(-Uv)"

* Fri Nov 23 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.53-2vl1
- merged with new upstream version 0.3.19cnc53-2cl
- update ja.po

* Mon Nov 13 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc53-2cl
- fixed bug in mirror patch

* Mon Nov 13 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc53-1cl
- released version 0.3.19cnc53
- added kernel-tape to default AllowedDupPkgs
- cleaned up gen{pkg,src}list (Alexander Bokovoy <ab@avilink.net>)
- fixed crash bug in genpkglist
- added patch to fix bug in genbasedir with empty dirs 
  (Stelian Pop <stelian.pop@fr.alcove.com>)
- configure.in patch to detect rpmdb (Stelian Pop <stelian.pop@fr.alcove.com>)
-       * Skips correctly over empty package directories
-       * Adds the --bz2only argument which makes genbasedir
-       to generate only the .bz2 compressed versions of pkglist
-       and srclist (space gain...)
-       * Doesn't change the timestamps on pkglists/srclists if
-       the contents are not modified (making possible for example
-       to make several consecutive runs of genbasedir without
-       having the apt clients download the indexes again and again).
-       * Some minor cleanups (remove the temporary files in /tmp
-       at the end of the script etc).
- (Stelian Pop <stelian.pop@fr.alcove.com>)
- cleanup patch for gensrclist (Stelian Pop <stelian.pop@fr.alcove.com>)
- fixed multi-arch pkg handling (Stelian Pop <stelian.pop@fr.alcove.com>)
- added -K (RPM::Check-Signatures) option to verify rpm sigs
- updated russian translation (Alexander Bokovoy <ab@avilink.net>)
- updated i18n (Dmitry Levin <ldv@alt-linux.org>)
- replaced Apt::GPG::Pubring with Apt::GPG::PubringPath
  also uses --homedir instead of --keyring in gpg (Ivan Zakharyashev)
- patch to detect replaced (instead of just removed) packages 
  Dmitry Levin <ldv@alt-linux.org> 
- updated mirrors patch
    
* Fri Oct 19 2001 Gustavo Niemeyer <niemeyer@conectiva.com>
+ apt-0.3.19cnc52-5cl
- Fixed mirrors infinite loop bug (closes: #4420).
    
* Sat Sep  8 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.52-4vl2
- add apt-genpkglist.patch to add pkgInitialize(). 
  FindDir in genpkglist does not work, because there is no pkgInitialize().

* Thu Sep  6 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.52-4vl1
- Merged with apt-0.3.19cnc52-4cl
- add apt-rpmpriorities.vine.patch.

* Wed Sep  5 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.52-3vl2
- FIXME: copy config.h.in from apt-0.3.19cnc50
         new config.h.in does not work with Vine Linux.

* Sat Aug 11 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.52-3vl1
- Merged with apt-0.3.19cnc52-3cl

* Thu Aug 09 2001 Gustavo Niemeyer <niemeyer@conectiva.com>
+ apt-0.3.19cnc52-3cl
- Updated mirrors patch.

* Tue Aug 07 2001 Gustavo Niemeyer <niemeyer@conectiva.com>
+ apt-0.3.19cnc52-2cl
- Added mirrors patch.

* Wed Aug 01 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc52-1cl
- released version 0.3.19cnc52
- fixed compile problem with gcc 2.96.x
- fixed bug in file method with authentication enabled 
  (Alexander Bokovoy <ab@avilink.net>)
- added RPM::RemoveOptions and RPM::UpgradeOptions
- Included patch to add s390 to arch table.

* Thu Jul 12 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc51-1cl
- released version 0.3.19cnc51
- included many portability (Solaris) fixes from 
  AUSTIN MURPHY <amurphy@nbcs.rutgers.edu>
- make packages with same version and diff deps be ignored (closes: 1628)

* Tue Jul  3 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.50-1vl2
- added Patch200 for playstation2

* Tue Jul  3 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.50-1vl1
- merged with 0.3.19cnc50-1cl

* Thu Jun 28 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.49-1vl1
- merged with 0.3.19cnc49-1cl
- added Patch106 to extend error message length (S[400] -> S[1024]).

* Thu Jun 28 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.3.19.cnc.48-1vl2
- added Patch105 to allow kernel24{,-smp,-BOOT} to include AllowedDupPkgs
- modified Source1 (apt.conf) for the same reason

* Wed Jun 27 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc49-1cl
- released version 0.3.19cnc49
- added workaround for kernel installations that require upgrde on mkinitrd
  (closes: #3889)
  
* Wed Jun 27 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.48-1vl1
- merged with 0.3.19cnc48-1cl

* Mon Jun 25 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc48-1cl
- released version 0.3.19cnc48
- added RPM::AutoRebuildDB (enabled by default)
- added fetch status to CDROM method
- released (closes: #3905)

* Sun Jun 24 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.47-1vl2
- updated ja.po

* Sun Jun 24 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.47-1vl1
- merged with 0.3.19cnc47-1cl
- fixed bug in HoldPkgs

* Fri Jun 22 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc47-1cl
- released version 0.3.19cnc47
- fixed bug in RPM::HoldPkgs (closes: #3838)
- removed debug msg

* Tue Jun 19 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc46-1cl
- released version 0.3.19cnc46
- changed apt.conf to include RPM::AllowDupPkgs, RPM::HoldPkgs (closes: #3433)
- added Acquire::cdrom::copy, which will fetch all pkgs before installing (closes: #1024)
- added delay before file fetch retry (closes: #1294)
- fixed architecture selection (closes: #3606)
- iterating over Packages instead of Names to figure package count

* Sat Jun 16 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.45-1vl3
- add kernel-BOOT to AllowDupPkgs list.

* Sat Jun 16 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.45-1vl1
- merged with 0.3.19cnc45-1cl

* Wed Jun 13 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc45-1cl
- released version 0.3.19cnc45
- fixed bug with progress update (closes: #2915)

* Mon Jun 11 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc44-1cl
- released version 0.3.19cnc44
- removed %config from method drivers
- replaced option RPM::AllowedDupPackages with RPM::AllowedDupPkgs
- added option RPM::HoldPkgs (closes: #3462)

* Sat Jun 1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.43-2vl2
- updated ja.po.

* Sat Jun 1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.43-2vl1
- merged with 0.3.19cnc43-2cl

* Mon May 21 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl7
- fixed some translations in ja.po.

* Mon May 21 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl6
- fixed sources.list/vendor.list

* Mon May 21 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl5
- splited vine specific part from gettext patch.

* Mon May 21 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl4
- updated ja.po.

* Mon May 21 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl3
- updated gettext patch.

* Mon May 21 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl2
- vine gettext patch is comes back.

* Sun May 20 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl1
- merge to upstream version 0.3.19cnc38-2cl

* Fri May 18 2001 Ademar de Souza Reis Jr. <ademar@conectiva.com.br>
+ apt-0.3.19cnc43-2cl
- New patch4. Closes: #3523 (apt-cdrom doesn't umount CD)

* Fri May 18 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc43-1cl
- fixed bug with record offsets (shows bad pkg description under rpm4)
- fixed bug with apt-get source (closes: #3047)

* Thu May 17 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc42-1cl
- released version 0.3.19cnc42
- merged all src patches into main src tree
- fixed stupid bug on rpminit header...
- extended Acquire::Retries to all file type acquirations (closes: #1617)

* Mon May 14 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-0.3.19cnc41-8cl
- added Ivan Zakharyaschev's line break patch (closes: #1616)

* Wed May  9 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-0.3.19cnc41-7cl
- adjusting rpmpriorities to reflect changes in conectiva's package base
  (glibc-base is marked as essential replacing glibc, elvis-tiny marked
  as essential, info and glib not marked as essential, etc.) (closes:
  #3115, #3117)

* Fri May  4 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-0.3.19cnc41-6cl
- spec cleanup: removing static components from buildrequires

* Fri May  4 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-0.3.19cnc41-5cl
- removing static link kludge added in 3cl, a better solution is in the works.

* Fri Apr 27 2001 Gustavo Niemeyer <niemeyer@conectiva.com>
+ apt-0.3.19cnc41-4cl
- Fixed NextRecord() and GetRecord() (Closes: #2915).

* Thu Apr 26 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-0.3.19cnc41-3cl
- statically linking rpmlib and friends to avoid lossage with glibc
  upgrade from conectiva 6.0 to snapshot

* Sun Apr 15 2001 Gustavo Niemeyer <niemeyer@conectiva.com>
+ apt-0.3.19cnc41-2cl
- Added patch for ia64.

* Thu Mar 29 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc41-1cl
- released version 0.3.19cnc41
- auto rebuild rpmdb when rpm is upgraded

* Tue Mar 27 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc40-1cl
- released version 0.3.19cnc40
- custom OrderInstall() (ignores all deb specific ordering/debconf stuff)

* Fri Mar 23 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc39-1cl
- released version 0.3.19cnc39
- fixes problem with different rpmdb versions

* Thu Mar 22 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc38-2cl
- autotester workaround...

* Thu Mar 22 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc38-1cl
- released version 0.3.19cnc38
- fixed epoch display on apt-cache
- added user specified public keyring option for gpg 
- added italian po file
- fixed bug on dependency resolution for virtual packages with mult.providers

* Tue Feb 20 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc37-1cl
- released version 0.3.19cnc37
- noreplace put back for sources.list (closes: #1548)
- recompiled (closes: #1559)
- fixed dist-upgrade bogus msg (closes: #1254)
- fixed no_proxy handling

* Sat Feb 17 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc36-1cl
- released version 0.3.19cnc36
- fixed problem with arch selection (I swear it works now!)
- fixed bug with rpm4

* Wed Feb 14 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc35
- fixed problem with case sensitiveness
- fixed rpmpriority interpretation

* Wed Feb 14 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc34
- rpm4 fix?

* Wed Jan 24 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc33
- added new gui hookz

* Mon Jan 22 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.3.19.cnc.27-6vl19
- Oops ring ftp dir was /pub/linux/..., not /pub/Linux/ :-(
- fixed Source100 (rpm-source should be rpm-src)

* Sat Jan 20 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc32
- fixed arch selection code
- fixed priority and section info in internal package structs

* Fri Jan 19 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.3.19.cnc.27-6vl18
- auto-generate sources.list using Source100 (thanks shom-san)

* Fri Jan 19 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.3.19.cnc.27-6vl17
- add VinePlus/2.1 entries

* Fri Jan 19 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.3.19.cnc.27-6vl16 (vl15 preserved for Vine-2.1.x ?)
- install arch-specific sources.list

* Tue Jan 16 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- unbroke potfiles

* Mon Jan 15 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc31

* Mon Jan 15 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc30

* Sat Jan 13 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc29

* Thu Jan 04 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc28
- added gnupg dependency

* Sun Dec 17 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl14
- remove noreplace tag from sources.list

* Sat Dec 16 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl13
- update gettext patch
- update ja.po

* Wed Dec 13 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl12
- update gettext patch
- update ja.po

* Tue Dec 12 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl11
- update gettext patch  from Debianguru
- update ja.po

* Tue Dec 12 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl10
- update gettext patch
- update ja.po

* Mon Dec 11 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl9
- update ja.po (almost translated)

* Mon Dec 11 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl8
- update ja.po

* Mon Dec 11 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl7
- update gettext patch
- update ja.po

* Mon Dec 11 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl6
- add gettext patch
- update ja.po

* Mon Dec 11 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl3
- update ja.po

* Sat Dec 09 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl2
- rebuild on gcc-2.95.3

* Sat Dec 09 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl1
- updated to 0.3.19cnc27-6cl

* Thu Dec 07 2000 Andreas Hasenack <andreas@conectiva.com>
- damn! Wrong URL in sources.list, atualizacoes.conectiva.com
  doesn't exist, of course...

* Thu Dec 07 2000 Andreas Hasenack <andreas@conectiva.com>
- updated sources.list with new mirrors and new download tree
- removed (noreplace) for the sources.list file for this
  upgrade. It will be easier for the user. The (noreplace)
  should be back in place after this update as we expect no
  further big modifications for that file, only new mirrors.

* Wed Dec 06 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-0vl1
- updated to 0.3.19.cnc.27

* Wed Dec 06 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- fixed prob in vendors.list

* Tue Dec 05 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc27

* Wed Nov 08 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc26

* Tue Nov 07 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- added ad-hoc patch for gcc-2.95.x

* Mon Nov 06 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc25

* Sun Nov  5 2000 Kazuhisa TAKEI <takei@vinelinux.org> 
- modify for Vine Linux

* Thu Nov 02 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc24

* Thu Nov 02 2000 Rud<E1> Moura <ruda@conectiva.com>
- updated source.list (again)

* Thu Nov 02 2000 Rud<E1> Moura <ruda@conectiva.com>
- updated source.list

* Wed Nov 01 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc23
- added cache directories for gen{pkg,src}list
- pt_BR manpages

* Tue Oct 31 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc22
- Requires -> PreReq in apt-devel

* Mon Oct 30 2000 Alfredo Kojima <kojima@conectiva.com>
- collapsed libapt-pkg-devel and -doc to apt-devel

* Mon Oct 30 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc21

* Sun Oct 29 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc20

* Sun Oct 29 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc19
- added gensrclist
- support for apt-get source

* Fri Oct 27 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc18

* Thu Oct 26 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc17
- new manpages

* Wed Oct 25 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc16

* Sun Oct 22 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc15

* Sat Oct 21 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc14

* Thu Oct 19 2000 Claudio Matsuoka <claudio@conectiva.com>
- new upstream release: 0.3.9cnc13

* Tue Oct 17 2000 Eliphas Levy Theodoro <eliphas@conectiva.com>
- added rpmpriorities to filelist and install

* Tue Oct 17 2000 Claudio Matsuoka <claudio@conectiva.com>
- updated to 0.3.19cnc12
- fresh CVS snapshot including: support to Acquire::ComprExtension,
  debug messages removed, fixed apt-cdrom, RPM DB path, rpmlib call
  in pkgRpmLock::Close(), package priority kludge removed, i18n
  improvements, and genbasedir/genpkglist updates.
- handling language setting in genpkglist to make aptitude happy

* Wed Oct 11 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc11
- fixed problem with shard lib symlinks

* Tue Oct 10 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc10

* Mon Oct  2 2000 Claudio Matsuoka <claudio@conectiva.com>
- fixed brown paper bag bug with method permissions
- added parameter --sign to genbasedir
- added html/text doc files

* Sat Sep 30 2000 Claudio Matsuoka <claudio@conectiva.com>
- bumped to 0.3.19cnc9
- added vendors.list
- added gpg method
- fixed minor stuff to make Aptitude work
- added missing manpages
- fixed shared libs
- split in apt, libapt-pkg, libapt-pkg-devel, libapt-pkg-doc
- rewrote genbasedir in shell script (original was in TCL)
- misc cosmetic changes

* Tue Sep 26 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc8

* Wed Sep 20 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc7

* Mon Sep 18 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc6

* Sat Sep 16 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc5

* Fri Sep 15 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc4

* Mon Sep 12 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc3

* Mon Sep 5 2000 Alfredo K. Kojima <kojima@conectiva.com>
- renamed package to apt, with version 0.3.19cncV

* Mon Sep 5 2000 Alfredo K. Kojima <kojima@conectiva.com>
- 0.10
- added genpkglist and rapt-config
- program names changed back to apt-*

* Mon Sep 4 2000 Alfredo K. Kojima <kojima@conectiva.com>
- 0.9

* Mon Sep 4 2000 Alfredo K. Kojima <kojima@conectiva.com>
- 0.8

* Mon Sep 4 2000 Alfredo K. Kojima <kojima@conectiva.com>
- 0.7

* Fri Sep 1 2000 Alfredo K. Kojima <kojima@conectiva.com>
- fixed typo in sources.list

* Tue Aug 31 2000 Alfredo K. Kojima <kojima@conectiva.com>
- version 0.6

* Tue Aug 31 2000 Alfredo K. Kojima <kojima@conectiva.com>
- version 0.5

* Tue Aug 31 2000 Alfredo K. Kojima <kojima@conectiva.com>
- version 0.4

* Wed Aug 30 2000 Alfredo K. Kojima <kojima@conectiva.com>
- version 0.3

* Thu Aug 28 2000 Alfredo K. Kojima <kojima@conectiva.com>
- second try. new release with direct hdlist handling

* Thu Aug 10 2000 Alfredo K. Kojima <kojima@conectiva.com>
- initial package creation. Yeah, it's totally broken for sure.

