%define	ver 1.3.9
%define	rel 5

Summary: Intelligent Input Bus for Linux / Unix OS
Name: ibus
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: LGPL
Group: System Environment/Libraries 
URL: http://code.google.com/p/ibus/

Source0: %{name}-%{version}.tar.gz
Patch0: ibus-1.2.0.20091024-fixPOFILES.in.patch
# https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/716314
# Use LC_MESSAGES instead of LC_ALL in bus_ibus_impl_set_default_preload_engines
Patch1: ibus-1.3.9-locale-parser.patch
# add default preload engines
Patch10: ibus-1.3.9-add-preload-engines.patch
# add Shift+space as trigger key instead of Ctrl+space
Patch20: ibus-1.3.9-vine.patch

Requires: gtk2, pyxdg, iso-codes, dbus-python >= 0.83.0
Requires: notify-python
Requires: librsvg2
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
Requires(post): glib2
Requires(post,postun): coreutils, gtk2
BuildRequires(install,check): desktop-file-utils
BuildRequires: gettext >= 0.16.1, gtk2-devel, intltool >= 0.40.0
BuildRequires: dbus-devel, dbus-python-devel >= 0.83.0
BuildRequires: glib2-devel >= 2.0.0
%if %{?_dist_release} != "vl5"
BuildRequires: gtk3-devel >= 3.0.0
%endif
BuildRequires: GConf2-devel >= 2.12
BuildRequires: perl >= 5.8.1 perl-XML-Parser
Buildrequires: python >= 2.5
Buildroot: %{_tmppath}/%{name}-%{version}-root
Provides: iBus

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
IBus is an Intelligent Input Bus. It is a new input framework for Linux OS.
It provides full featured and user friendly input method user interface.
It also may help developers to develop input method easily.

%package devel
Summary: Header files for iBus
Group: Development/Libraries
Requires: ibus == %{version}-%{release}
Requires:   glib2-devel
Requires:   dbus-devel
Requires:   vala

%description devel
Header files for iBus.

%if %{?_dist_release} != "vl5"
%package gtk3
Summary: Ibus im module for gtk3
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires(post):	glib2

%description gtk3
The ibus-gtk3 contains ibus im module for gtk3.

%endif

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch10 -p1 -b .add-default-preload-engine
%patch20 -p1 -b .vine
%configure \
	--disable-static \
%if %{?_dist_release} != "vl5"
	--enable-gtk3 \
%endif
	--with-gtk2-im-module-dir=%{_libdir}/gtk-2.0/immodules

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -rf %{buildroot}%{_libdir}/libibus.la
rm -rf %{buildroot}%{_libdir}/gtk-2.0/immodules/im-ibus.la
%if %{?_dist_release} != "vl5"
rm -rf %{buildroot}%{_libdir}/gtk-3.0/3.0.0/immodules/im-ibus.la
%endif

%{_bindir}/desktop-file-install \
  --vendor="" --dir=%{buildroot}/%{_datadir}/applications \
  --add-category=Applications \
  --add-category=X-GNOME-PersonalSettings \
  %{buildroot}/%{_datadir}/applications/ibus-setup.desktop

rm -rf %{buildroot}%{_sysconfdir}/xdg/autostart/ibus.desktop

%find_lang %{name}

%clean 
rm -rf %{buildroot}

%check
#make check
%{_bindir}/desktop-file-validate %{buildroot}/%{_datadir}/applications/ibus.desktop
%{_bindir}/desktop-file-validate %{buildroot}/%{_datadir}/applications/ibus-setup.desktop


%post
/sbin/ldconfig
if [ -x %{_bindir}/update-desktop-database ] ; then
%{_bindir}/update-desktop-database %{_datadir}/applications -q
fi
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/%{_arch}/gtk.immodules
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/ibus.schemas >& /dev/null || :
# recreate icon cache
touch --no-create %{_datadir}/icons/hicolor || :
[ -x %{_bindir}/gtk-update-icon-cache ] && \
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/ibus.schemas >& /dev/null || :
fi


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/ibus.schemas >& /dev/null || :
fi


%postun
/sbin/ldconfig
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/%{_arch}/gtk.immodules
if [ -x %{_bindir}/update-desktop-database ] ; then
%{_bindir}/update-desktop-database %{_datadir}/applications -q
fi
# recreate icon cache
touch --no-create %{_datadir}/icons/hicolor || :
[ -x %{_bindir}/gtk-update-icon-cache ] && \
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%if %{?_dist_release} != "vl5"
%post gtk3
%{_bindir}/gtk-query-immodules-3.0 --update-cache

%postun gtk3
%{_bindir}/gtk-query-immodules-3.0 --update-cache

%endif

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/ibus*
%{_libdir}/libibus.so.*
%{_libdir}/gtk-2.0/immodules/im-ibus.so
%{_libexecdir}/ibus-gconf
%{_libexecdir}/ibus-ui-gtk
%{_libexecdir}/ibus-x11
#%{python_sitearch}/ibus
%{python_sitelib}/ibus
%{_datadir}/applications/*
%{_datadir}/ibus
%{_datadir}/gtk-doc/html/ibus
%{_datadir}/icons/hicolor/*/apps/*
#%{_sysconfdir}/xdg/autostart/ibus.desktop
%{_sysconfdir}/gconf/schemas/ibus.schemas

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ibus-1.0.pc
%{_libdir}/libibus.so
%{_includedir}/ibus-1.0
%{_datadir}/vala/vapi/ibus-1.0.vapi
%if %{?_dist_release} != "vl5"
%{_libdir}/girepository-1.0/IBus-1.0.typelib
%{_datadir}/gir-1.0/IBus-1.0.gir
%endif

%if %{?_dist_release} != "vl5"
%files gtk3
%defattr(-,root,root,-)
%{_libdir}/gtk-3.0/3.0.0/immodules/im-ibus.so
%endif

%changelog
* Thu Jun 02 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.9-5
- add patch1 from ubuntu (accepted in upstream)
  Use LC_MESSAGES instead of LC_ALL in bus_ibus_impl_set_default_preload_engines.
- add "Catgegories=Applications;X-GNOME-PersonalSettings" to ibus-setup.desktop
- add patch10 to add default preload engines to gconf schemas
- add patch20 to modify IM trigger shortcut keys
  - add Shift+space, remove Ctrl+space

* Tue Apr 19 2011 IWAI, Masaharu <iwai@alib.jp> 1.3.9-4vl6
- drop {post,postun} script for gtk3 immodules in main package

* Fri Apr  8 2011 IWAI, Masaharu <iwai@alib.jp> 1.3.9-3vl6
- drop GTK3 immodule file in main package

* Fri Feb 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.9-2
- create -gtk3 sub package (VineSeed only)

* Wed Dec 15 2010 IWAI, Masaharu <iwai@alib.jp> 1.3.9-1
- new upstream release
- add files in devel sub package for VineSeed
 - girepository-1.0/IBus-1.0.typelib
 - gir-1.0/IBus-1.0.gir

* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 1.3.7-2
- rebuilt with rpm-4.8.1 for pkg-config

* Mon Aug  9 2010 IWAI, Masaharu <iwai@alib.jp> 1.3.7-1
- new upstream release
- add support Vala on Vine Linux 5

* Fri Jul  9 2010 IWAI, Masaharu <iwai@alib.jp> 1.3.6-1
- new upstream release

* Tue Jun 15 2010 IWAI, Masaharu <iwai@alib.jp> 1.3.5-1
- new upstream release
- update GTK immodule dir option for configure
- add vapi file for VineSeed
- add Requires: vala for devel package, VineSeed

* Wed Jun  9 2010 IWAI, Masaharu <iwai@alib.jp> 1.3.4-2
- update Requires: notify-python librsvg2
- execute gconftool-2 on {post,pre,preun}
- add Requires: Gconf2 on {post,pre,preun}
- update Requires: glib2-devel dbus-devel for ibus-devel package
- execute update-desktop-database on {post,postun}
- execute gtk-update-icon-cache on {post,postun}: <BTS:VineLinux:955>
- add Requires: coreutils, gtk2 on {post,postun}
- drop %%{_sysconfdir}/xdg/autostart/ibus.desktop file

* Sun Jun  6 2010 IWAI, Masaharu <iwai@alib.jp> 1.3.4-1
- new upstream release
- stop 'make check'

* Tue May 25 2010 Shu KONNO <owa@bg.wakwak.com> 1.3.3-2
- s/python_sitearch/python_sitelib/

* Sat May 15 2010 IWAI, Masaharu <iwai@alib.jp> 1.3.3-1
- new upstream release
- execute 'make check'
- clean up:
  - drop unused git_source and vine_ja_po

* Fri Apr 16 2010 IWAI, Masaharu <iwai@alib.jp> 1.2.1-1
- new upstream release
- stop 'make check'

* Mon Jan 25 2010 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20091215-2
- add BuildRequires: GConf2-devel >= 2.12: fix <BTS:VineLinux:901>

* Fri Dec 18 2009 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20091215-1
- new upstream release

* Sat Dec  5 2009 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20091204-1
- new upstream release

* Sun Nov 29 2009 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20091124-1
- new upstream release

* Wed Nov  4 2009 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20091024-1 
- new upstream release
- add fix POFILES.in patch (Patch0)
- update file list in %%files section
- running ldconfig and gtk-query-immodules-2.0 in %%post and %%postun

* Thu Oct  8 2009 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20090927-1
- new upstream release

* Thu Sep 17 2009 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20090915-1
- new upstream release
- update %%files section
- update BuildRequires
- drop obsoleted configure option: --disable-qt4-immodule

* Fri Aug 28 2009 IWAI, Masaharu <iwai@alib.jp> 1.1.0.20090812-1
- new upstream release

* Sat Jun 20 2009 IWAI, Masaharu <iwai@alib.jp> 1.1.0.20090612-1
- new upstream release
- add Packager tag

* Tue Jun  2 2009 IWAI, Masaharu <iwai@alib.jp> 1.1.0.20090531-1
- new upstream release

* Sat May  9 2009 IWAI, Masaharu <iwai@alib.jp> 1.1.0.20090508-1
- new upstream release
- update BuildRequires
  - add dbus-devel, intltool >= 0.40.0
  - drop qt4-devel

* Sun Apr 26 2009 IWAI, Masaharu <iwai@alib.jp> 1.1.0.20090423-1
- new upstream release
- drop defined python_sitearch rpm macro

* Fri Apr 17 2009 IWAI, Masaharu <iwai@alib.jp> 1.1.0.20090417-1
- new upstream release

* Tue Apr 14 2009 IWAI, Masaharu <iwai@alib.jp> 1.1.0.20090413-1
- new upstream release
- drop Vine ja.po (SOURCE1)

* Wed Apr  8 2009 IWAI, Masaharu <iwai@alib.jp> 1.1.0.20090407-1
- new upstream release
- update ja.po (SOURCE1)

* Sat Apr  4 2009 IWAI, Masaharu <iwai@alib.jp> 1.1.0.20090331-1
- new upstream release

* Sat Mar 21 2009 IWAI, Masaharu <iwai@alib.jp> - 1.1.0.20090311-3
- add ja.po (SOURCE1): update
- add ibus.desktop file in xdg autostart
- add ibus.schemas file

* Fri Mar 20 2009 Shu KONNO <owa@bg.wakwak.com> - 1.1.0.20090311-2
- set python_sitearch to arch independent path

* Tue Mar 17 2009 IWAI, Masaharu <iwai@alib.jp> - 1.1.0.20090311-1
- new upstream release
- add dbus-python version ( 0.83.0 and more ) in Requires
- add BuildRequires: dbus-python-devel >= 0.83.0

* Mon Feb 23 2009 IWAI, Masaharu <iwai@alib.jp> - 1.1.0.20090217-1
- new upstream release
- add Requires: iso-codes, dbus-python: <BTS:VineLinux:656>
- generate devel sub package
- stop creating qt4 immodule
- drop .la files

* Mon Jan 26 2009 IWAI, Masaharu <iwai@alib.jp> - 0.1.1.20090126-1
- initial release
