Name:    libqzeitgeist
Summary: Qt Zeitgeist Library
Version: 0.7.0
Release: 2%{?_dist_release}

License: LGPLv2+
URL:     http://projects.kde.org/projects/kdesupport/libqzeitgeist 
Source0: http://releases.zeitgeist-project.com/qzeitgeist/QtZeitgeist-0.7.0.tar.bz2

## upstreamable patches
Patch50: libqzeitgeist-0.7.0-pkgconfig_version.patch

## upstream patches
Patch100: libqzeitgeist-0.7.0-libsuffix.patch

BuildRequires: cmake
BuildRequires: qt4-devel

%description
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}


%prep
%setup -q -n QtZeitgeist-%{version}-Source

%patch100 -p1 -b .libsuffix
%patch50 -p1 -b .pkgconfig_version


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%check
export PKG_CONFIG_PATH=$RPM_BUILD_ROOT%{_datadir}/pkgconfig:$RPM_BUILD_ROOT%{_libdir}/pkgconfig
test "$(pkg-config --modversion QtZeitgeist)" = "%{version}"


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING README
%{_libdir}/libqzeitgeist.so.0*

%files devel
%dir %{_datadir}/qzeitgeist/
%{_datadir}/qzeitgeist/cmake/
%{_includedir}/QtZeitgeist/
%{_libdir}/libqzeitgeist.so
%{_libdir}/pkgconfig/QtZeitgeist.pc


%changelog
* Sun Jun  5 2012 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.7.0-2
- Initial build for Vine Linux

* Fri May 20 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-1
- first try

