Summary: Python library for configuring and running X
Summary(ja): X の設定と実行のための Python ライブラリ
Name: rhpxl
URL: http://fedoraproject.org/wiki/rhpxl
Version: 1.9
Release: 8%{?_dist_release}

Source0: https://fedorahosted.org/releases/r/h/%{name}/%{name}-%{version}.tar.gz
Patch10: rhpxl-1.9-pmac.patch
Patch20: rhpxl-1.9-nokbd.patch

License: GPLv2
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel, gettext, libXrandr-devel, libX11-devel
BuildRequires: libXrender-devel
ExcludeArch: s390 s390x
Requires: python, rhpl >= 0.216-4, newt, hwdata
Requires: pyxf86config >= 0.3.31, xorg-x11-server-Xorg


Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
The rhpxl (pronounced 'rapunzel') package contains a Python library for
configuring and running X.

%prep
%setup -q
%patch10 -p1 -b .pmac
%patch20 -p1 -b .nokbd

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=${RPM_BUILD_ROOT} install

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING
%{python_sitearch}/rhpxl
%{python_sitearch}/*egg-info

%changelog
* Sat May 28 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9-8
- add patch20 to remove Keyboard Section from xorg.conf

* Wed Apr 20 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9-7
- rebuild for Vine 6

* Wed Mar 31 2010 Shu KONNO <owa@bg.wakwak.com> 1.9-6
- updated release number
- import Vine5.1 changes
  * Wed Jan 27 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.9-5
  - add BuildRequires: libXrender-devel
  * Wed Sep  9 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.9-4
  - update Patch10: use SWcursor on ppc w/ radeon driver for better stability
  * Wed Sep  9 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.9-3
  - update Patch10: don't specify drivers on iMac G3
  * Wed Sep  9 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.9-2
  - add Patch10:
    don't set "UseFBDev" to "true" on ppc w/ radeon/r128/ati drivers anymore

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 1.9-2
- rebuilt with python-2.6.4

* Tue Aug 12 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9-1
- initial build for Vine Linux

* Mon Aug 04 2008 Adam Jackson <ajax@redhat.com> 1.9-2
- Fix Source URL.

* Tue Apr 15 2008 Jeremy Katz <katzj@redhat.com> - 1.9-1
- Back to writing out a keyboard section (#438246)

* Fri Apr 11 2008 Adam Jackson <ajax@redhat.com> 1.8-1
- Patch around an implausible crash when no depths seem to be available.
  Just default to 24.  (#374581)

* Thu Apr 10 2008 Adam Jackson <ajax@redhat.com> 1.7-1
- Don't blow up when dbus is unavailable. (notting)
- Fix framebuffer description splitting when it has spaces. (notting)

* Wed Apr 09 2008 Adam Jackson <ajax@redhat.com> 1.5-1
- Redo the fbdev logic yet again.  This time for sure.

* Wed Apr 09 2008 Adam Jackson <ajax@redhat.com> 1.4-2
- rhpxl-1.4-typing-novice.patch: It helps to spell your variables right.

* Tue Apr 08 2008 Adam Jackson <ajax@redhat.com> 1.4-1
- Don't assign drivers to secondary functions.
- Attempt to handle fbdev machines sanely. (#437706, #441465)

* Mon Apr  7 2008 Jeremy Katz <katzj@redhat.com> - 1.3-1
- Fix translation traceback (#441105)

* Fri Mar 28 2008 Adam Jackson <ajax@redhat.com> 1.2-1
- Fix alias match API usage.

* Fri Mar 28 2008 Adam Jackson <ajax@redhat.com> 1.1-1
- Fix obvious brainos.

* Thu Mar 27 2008 Adam Jackson <ajax@redhat.com> 1.0-1
- Drastically simplify mouse setup.
- Port from kudzu to hal.
- Death to ddcprobe.
- Patch merge.

* Fri Mar 14 2008 Adam Jackson <ajax@redhat.com> 0.51-2
- rhpxl-0.51-serverflags.patch: Stop disabling the Composite extension
  when launching a server.

* Tue Mar 11 2008 Jeremy Katz <katzj@redhat.com> - 0.51-1
- Few more input fixes, roll a new tarball and remove obsolete patches which
  are in upstream

* Mon Mar 10 2008 Jeremy Katz <katzj@redhat.com> - 0.49-5
- Don't write out input sections in xorg.conf -- input hotplug should 
  take care of them all

* Tue Feb 12 2008 Adam Jackson <ajax@redhat.com> 0.49-4
- rhpxl-0.49-ibmasm.patch: Fix string handling in ibmasm setup. (#353021)

* Mon Dec 17 2007 Jeremy Katz <katzj@redhat.com> - 0.49-3
- Fix traceback in last patch (#421261)

* Fri Nov 30 2007 Adam Jackson <ajax@redhat.com> 0.49-2
- rhpxl-0.49-pseries-hatred.patch: Use the same pseries detection everywhere.

* Thu Sep 06 2007 Adam Jackson <ajax@redhat.com> 0.49-1
- rhpxl 0.49.  Fixes domainful PPC machines, and avoids probing for serial
  mice since they make USB devices go boom.
- Fix License.
- Update URL to point to the new home.

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.47-3
- Rebuild for PPC toolchain bug

* Wed Jun 13 2007 Chris Lumens <clumens@redhat.com> - 0.47-2
- Fixes from package review (#226373).

* Fri May  4 2007 Jeremy Katz <katzj@redhat.com> - 0.47-1
- setup appletouch correctly (#238355)

* Fri Apr 13 2007 Jeremy Katz <katzj@redhat.com> - 0.46-1
- auto-configure vmmouse driver for VMWare and qemu

* Thu Mar 29 2007 Chris Lumens <clumens@redhat.com> - 0.45-1
- resolution_from_string should return integers instead of strings.

* Mon Mar 26 2007 Adam Jackson <ajax@redhat.com> 0.44-1
- Fix mode name splitting.  (#213027)

* Tue Feb 06 2007 Chris Lumens <clumens@redhat.com> - 0.43-1
- Add support for writing out ibmasm config information (#198797).
- Various fixes that allow the resolution in a kickstart file to be
  propagated to the installed system.

* Tue Jan 23 2007 Jeremy Katz <katzj@redhat.com> - 0.42-1
- Don't pass a potentially bogus fontpath to the X server.  It starts fine 
  without it and we don't have it on installs from live cd

* Wed Nov 29 2006 Chris Lumens <clumens@redhat.com> 0.41-1
- Trust kudzu to give us the right video driver instead of using
  readDrivers to trim the list of what's available (#211977).

* Mon Nov 6 2006 Adam Jackson <ajackson@redhat.com> 0.40-1
- Allow for very large resolutions.  (#212695)

* Fri Oct 13 2006 Bill Nottingham <notting@redhat.com> 0.39-1
- Use a valid charset in po files (#210720)

* Thu Oct 12 2006 Adam Jackson <ajackson@redhat.com> 0.38-1
- Fall back to fbdev (not vesa) on ppc{,64}.  (#197992)

* Thu Oct 05 2006 Chris Lumens <clumens@redhat.com> 0.37-1
- Reset X driver when trying to use framebuffer or vesa to start X.

* Tue Oct 03 2006 Chris Lumens  <clumens@redhat.com> 0.36-1
- Don't make problems importing pyrandr fatal.

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.35-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 21 2006 Adam Jackson <ajackson@redhat.com> 0.35-1
- Fix resolution comparison to, uh, work.
- Properly write out Display subsections so the resolution selector works again
- Require newer pyxf86config

* Wed Sep 13 2006 Adam Jackson <ajackson@redhat.com> 0.34-1
- Add general RANDR awareness to mode list construction and validation.
- Generalize forceVesa to forceDriver.

* Mon Sep 11 2006 Chris Lumens <clumens@redhat.com> 0.33-1
- Do a better job about detecting X server failures (#205874).

* Fri Aug 25 2006 Jeremy Katz <katzj@redhat.com> - 0.32-1
- Probe all buses for video cards
- Only do PCI bits for PCI video cards
- Another place to fix the default depth

* Wed Aug 23 2006 Adam Jackson <ajackson@redhat.com> 0.31-1
- Default depth of 24.

* Mon Aug 14 2006 Adam Jackson <ajackson@redhat.com> 0.30-1
- Bump.

* Mon Aug 14 2006 Adam Jackson <ajackson@redhat.com> 0.29-1
- Don't emit a Load "synaptics" directive, it's wrong.

* Mon Aug 07 2006 Chris Lumens <clumens@redhat.com> 0.28-1
- Fixes to init_from_xconfig for system-config-display.
- Close X server stdout and stderr as having two log files is confusing.

* Tue Aug 01 2006 Chris Lumens <clumens@redhat.com> 0.27-1
- Don't traceback if there's no module list.
- Return default strings if monitor or video card names are None.
- Handle starting up an XServer object with an existing conf file.

* Tue Aug 01 2006 Chris Lumens <clumens@redhat.com> 0.26-1
- Remove video card ddc probing (notting).
- Remove monitor ddc probing.

* Fri Jul 28 2006 Chris Lumens <clumens@redhat.com> 0.25-1
- Convert x startup code into a class, simplifying startup API.
- Restore call to xStartedCB so mini-wm gets run under anaconda.
- Simplify looping and waiting in startup code.

* Thu Jul 27 2006 Jeremy Katz <katzj@redhat.com> - 0.24-2
- Set a fontpath that's more reasonable for anaconda/firstboot/s-c-display

* Tue Jul 25 2006 Chris Lumens <clumens@redhat.com> 0.24-1
- Add -extension Composite to X startup flags to avoid tracebacks.

* Mon Jul 24 2006 Chris Lumens <clumens@redhat.com> 0.23-1
- Remove -terminate flag to fix X startup race condition
  (Charlotte Richardson).
- Fix synaptics detection and config file write out.

* Fri Jul 21 2006 Chris Lumens <clumens@redhat.com> 0.22-1
- Fix traceback on default log file location.
- Restore driver options to config file to fix ppc installs.

* Wed Jul 19 2006 Chris Lumens <clumens@redhat.com> 0.21-1
- Don't traceback if no monitor, screen, or device is found in the
  X config file.

* Tue Jul 18 2006 Chris Lumens <clumens@redhat.com> 0.20-1
- Remove code for config sections that X can figure out for itself.
- Use python randr bindings to change resolution (bindings based on code
  from Michael Sheldon <webmaster at mikeasoft dot com>).
- rhpxl is now native

* Tue Jun 13 2006 Jesse Keating <jkeating@redhat.com> 0.19-1.1
- Enable build on ppc64

* Tue Apr 04 2006 Chris Lumens <clumens@redhat.com> 0.19-1 
- Remove obsolete functions in mouse.py.
- Create a new Modes class.

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0.18-1
- allow forcing vesa (#184015)

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 0.17-1
- fix braindead i810 (#182300)

* Wed Feb 22 2006 Chris Lumens <clumens@redhat.com> 0.16-1
- Only put one non-vesa card in front of the list (#182016).
- Provide a fixed list of supported resolutions for the SGI 1600SW (#115679).

* Wed Feb 15 2006 Bill Nottingham <notting@redhat.com> 0.15-1
- order non-vesa videocards before vesa (#176978)

* Wed Feb 08 2006 Chris Lumens <clumens@redhat.com> 0.14-1
- Remove modes data since this is now in the X server package.

* Wed Feb 01 2006 Chris Lumens <clumens@redhat.com> 0.13-1
- Add aspect ratio patch from Jef Spaleta <jspaleta AT gmail.com> (#158143).

* Tue Jan 24 2006 Chris Lumens <clumens@redhat.com> 0.12-1
- Protect against an empty list of probed mice (#178515).

* Wed Jan 18 2006 Chris Lumens <clumens@redhat.com> 0.11-1
- No ddcprobe output for mice, or for monitors unless on i386 or ppc.

* Wed Jan 11 2006 Peter Jones <pjones@redhat.com> 0.10-1
- If we're on a Mac and can't get DDC/EDID, and our resolution is tiny,
  force 1024x768.

* Wed Dec 21 2005 Chris Lumens <clumens@redhat.com> 0.9-1
- Don't use rhpl.log anymore.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec 02 2005 Chris Lumens <clumens@redhat.com> 0.8-1
- Attempt to set hsync and vsync from the config file if probing fails
  (Maxim Dzumanenko - #154172).

* Mon Nov 21 2005 Bill Nottingham <notting@redhat.com> - 0.7-1
- fix rhpl.arch.getBaseArch() vs rhpl.getArch() confusion

* Tue Nov 15 2005 Chris Lumens <clumens@redhat.com> 0.6
- Remove xhwstate from path on object creation (#173229).

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.5.2-1
- drivers now end in .so, not .o

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.5.1-1
- unscaled bitmap fonts fixed in libXfont so change our fontpaths back

* Sun Nov 13 2005 Jeremy Katz <katzj@redhat.com> - 0.5-1
- update for modular X

* Thu Oct 13 2005 Chris Lumens <clumens@redhat.com> 0.4-2
- Correct python lib directory on 64-bit archs (#170624).

* Wed Oct 12 2005 Chris Lumens <clumens@redhat.com> 0.4-1
- Correct where we look for data files (#170505).
- Translate in rhpxl domain instead of rhpl domain.
- Correct __init__ to import everything.

* Tue Oct 11 2005 Chris Lumens <clumens@redhat.com> 0.3-1
- Moved data files and ddcprobe here from rhpl.

* Tue Oct 11 2005 Chris Lumens <clumens@redhat.com> 0.2-1
- Fix import of simpleconfig.
- Remove references to X sections of rhpl that rhpxl contains.

* Fri Oct 07 2005 Chris Lumens <clumens@redhat.com> 0.1-2
- Fix broken dependancies on platforms with no pyxf86config.

* Thu Oct 06 2005 Chris Lumens <clumens@redhat.com> 0.1-1
- Initial import from rhpl.
