%define with_gtkspell %{?_with_gtkspell:1}%{!?_with_gtkspell:0}
%define with_oniguruma %{?_with_oniguruma:1}%{!?_with_oniguruma:0}
# %%define extraver beta

%define srcver  %{version}%{?extraver:%extraver}
%define srcname sylpheed

Summary:	GTK+ based fast e-mail client
Summary(ja):	GTK+ ベースの高速な電子メールクライアント
Name:		sylpheed
Version:	3.1.1
Release:	4%{?_dist_release}
License:	GPL
Group:		Applications/Internet
URL:		http://sylpheed.sraoss.jp/
Source0:	http://sylpheed.sraoss.jp/sylpheed/v3.0/sylpheed-%{srcver}.tar.bz2
Source1:	sylpheed.xpm
Source10:	sylpheed-3.1.1-vine-icons.tar.bz2
# Patch0:		sylpheed-3.0.3-default-browser.patch
Patch1:		sylpheed-2.3.0-certs-search-path.patch
Requires:	gtk2 >= 2.10.0, openssl, gpgme >= 0.4.5
Requires:	mailcap
Requires:	xdg-utils
BuildRequires:	gtk2-devel >= 2.10.0, openssl-devel, gpgme-devel >= 0.4.5
BuildRequires:	bison, flex, faces-devel
%if %{with_gtkspell}
Requires:	gtkspell
BuildRequires:	gtkspell-devel
%endif
%if %{with_oniguruma}
Requires:	oniguruma >= 4.2.2
BuildRequires:	oniguruma-devel >= 4.2.2
%endif
Obsoletes:	vmail
Obsoletes:	sylpheed2 <= %{version}, sylpheed24 <= %{version}
Obsoletes:	sylpheed25 <= %{version}, sylpheed26 <= %{version}
Obsoletes:	sylpheed27 <= %{version}, sylpheed3 <= %{version}
Buildroot:	%{_tmppath}/%{name}-%{version}-root

Packager:       iwamoto
Vendor:		Project Vine
Distribution:	Vine Linux

%description
Sylpheed is an e-mail client and news reader based on GTK+ GUI toolkit, and
runs on X Window System.

Sylpheed has the following features.

 * Simple, beautiful, and well-polished user interface
 * Comfortable operationality which is built in detail
 * Well-organized, easy-to-understand configuration
 * Lightweight operation
 * High reliability
 * Internationalization and Multilingualization support
 * High-level Japanese processing
 * Various protocols support
 * Security features (GnuPG, SSL/TLSv1)
 * Powerful filtering and search
 * Junk mail control
 * Flexible cooperation with external commands

See README file for more information.

%description -l ja
Sylpheed は、X 上で動作する GTK+ ベースの電子メールクライアント＆ニュース
リーダーです。

Sylpheedには以下のような特長があります。

 *  シンプルで美しく、洗練されたユーザインタフェース
 * 細部まで作りこまれた快適な操作性
 * 整理された分かりやすい設定項目
 * 軽快な動作
 * 高い信頼性
 * 国際化、多言語対応
 * 高度な日本語処理(文字コードの自動判別、機種依存文字対応等)
 * 多様なプロトコルに対応
 * セキュリティ機能(GnuPG、SSL/TLSv1)
 * 強力なフィルタリング・検索機能
 * 迷惑メール対策機能
 * 外部コマンドとの柔軟な連携

詳細は README を参照してください。

%prep
%setup -q -n %{srcname}-%{srcver} -a 10
# %setup -q -n %{srcname}-3.0.0

# %patch0 -p1 -b .default-browser
%patch1 -p1 -b .certs-path

%build
%configure \
	   --enable-ipv6 \
	   --enable-ssl \
	   --enable-gpgme \
	   --disable-updatecheck \
%if %{with_gtkspell}
           --enable-gtkspell \
%else
           --disable-gtkspell \
%endif
%if %{with_oniguruma}
           --enable-oniguruma \
%else
           --disable-oniguruma \
%endif
           --build=%{_target_platform} \
           --program-transform-name=sylpheed

%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%makeinstall
%find_lang %{srcname}

%__install -d %{buildroot}%{_datadir}/pixmaps
%__install -p -m644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/
%__install -p -m644 sylpheed*.png %{buildroot}%{_datadir}/pixmaps/

%__install -d %{buildroot}%{_datadir}/applications
%__install -p -m644 sylpheed.desktop %{buildroot}%{_datadir}/applications/

# remove unneeded files
%__rm -fv %{buildroot}%{_libdir}/*.la
%__rm -frv %{buildroot}%{_includedir}/sylpheed

%clean
%__rm -rf %{buildroot}

%files -f %{srcname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog* README* INSTALL* TODO* NEWS*
%{_bindir}/sylpheed
%{_datadir}/pixmaps/sylpheed.xpm
%{_datadir}/pixmaps/sylpheed*.png
%{_datadir}/sylpheed/
%{_libdir}/libsylph*
%config(missingok) %{_datadir}/applications/sylpheed.desktop

%changelog
* Wed Jun 15 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.1-4
- update icons

* Thu Jun 09 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.1-3
- add more icons

* Wed Jun 08 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.1-2
- add new icons based on Vine icon theme (elementary icon)

* Sun May  8 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.1.1-1
- new upstream release

* Fri Apr 22 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.1.0-2
- drop patch0 to change default-browser (htmlview -> xdg-open)
- add R: xdg-utils

* Tue Feb  1 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.1.0-1
- new upstream release

* Sun Jan  9 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.0.3-1
- new upstream release
- update patch0
- built with openssl 1.0.0c

* Sat Apr  3 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.0.2-1
- new upstream release

* Sun Mar 21 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.0.1-1
- new upstream release 

* Wed Mar 10 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.0.0-2
- rebuild for release
- update src url

* Fri Feb 26 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.0.0-1
- new upstream release   

* Tue Feb 23 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.0.0rc
- new upstream rc release  

* Wed Feb  3 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.0.0beta7
- new upstream beta release 

* Mon Jan 18 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.0.0beta6
- test package (not for release)
- change package name sylpheed 3
- add -disable-updatecheck option in configure

* Thu Aug 13 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.7.1-1
- new upstream release
- add Req: curl
- add *.so files into files section
- remove *.la and include files
- add Obsoletes: sylpheed27 <= %{version}

* Sun Dec 21 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.6.0-1
- new upstream release
- fix source url
- add Obsoletes: sylpheed26 <= %{version}

* Sat Aug 16 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.5.0-1
- new upstream release
- add Obsoletes: sylpheed25 <= %{version}
- spec in utf8

* Mon Mar 24 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.8-1
- rebuild under new versioning policy
- add Obsoletes: sylpheed24 <= %{version}
- add smp_mflags into make section

* Mon Dec 31 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 2.4.8
- new upstream release

* Mon Oct 08 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 2.4.7
- new upstream release

* Sat Sep 22 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 2.4.6
- new upstream release

* Tue Sep 04 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 2.4.5
- [SECURITY] new upstream release
  - fix format string vulnerability (CVE-2007-2958)

* Sat Aug 11 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 2.4.4
- new upstream release

* Mon May 19 2007 KAZUKI SHIMURA <ksh753@gmail.com> 2.4.2
- new upstream release

* Thu May 03 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl1
- new upstream release

* Sun Apr 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl2
- rebuild with gtk+-2.10

* Sun Apr 22 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Sun Mar 18 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.4.0-0vl0.0beta5
- upstream release

* Fri Feb 16 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.4.0-0vl0.0beta4
- upstream release

* Wed Feb 07 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.4.0-0vl0.0beta3
- upstream release

* Fri Feb 02 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.4.0-0vl0.0beta2
- upstream release

* Tue Jan 30 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.4.0-0vl0.0beta1
- upstream release

* Tue Jan 16 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.3.1-0vl1
- upstream release

* Tue Jan 16 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.3.0-0vl2
- add certs-search-path.patch (patch1)
  to search CA certificates files in /usr/share/ssl/certs

* Tue Dec 26 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.3.0-0vl1
- upstream release

* Wed Dec 20 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.3.0-0vl0.0rc
- upstream release

* Sun Dec 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.3.0-0vl0.0beta7
- upstream release

* Sat Dec 09 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.3.0-0vl0.0beta6
- upstream release

* Sat Nov 11 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.3.0-0vl0.0beta5
- upstream release

* Thu Nov 02 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.3.0-0vl0.0beta4
- upstream release

* Wed Oct 18 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.3.0-0vl0.0beta3
- upstream release

* Wed Oct 04 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.3.0-0vl0.0beta2
- upstream release
- update source URL

* Fri Sep 29 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.3.0-0vl0.0beta1
- upstream release

* Fri Sep 22 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.9-0vl1
- upstream release

* Fri Sep 22 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.8-0vl1
- upstream release
- add %%with_oniguruma macro
  - enable oniguruma support if rpmbuild with '--with oniguruma'

* Tue Sep 05 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.7-0vl2
- update URLs

* Mon Jul 31 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.7-0vl1
- upstream release

* Sat Jun 10 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.6-0vl1
- upstream release

* Tue May 30 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.5-0vl1
- upstream release

* Mon Apr 10 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.4-0vl2
- drop Requires: metamail ([VineSeed:10690])
- add Obsoletes: sylpheed2 <= %%{version}

* Thu Mar 30 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.4-0vl1
- upstream release
- drop obsolete patch1

* Tue Mar 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.3-0vl2
- add patch1 from svn to enable bold face with GLib 2.10 and Pango 1.12

* Tue Mar 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.3-0vl1
- upstream release

* Fri Mar 03 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.2-0vl1
- upstream release

* Mon Feb 27 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.1-0vl1
- upstream release

* Thu Feb 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.0-0vl1
- upstream release

* Thu Feb 09 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.0-0vl0.0rc
- upstream release

* Mon Feb 06 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.0-0vl0.0beta8
- upstream release

* Tue Jan 31 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.0-0vl0.0beta7
- upstream release

* Thu Jan 26 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.0-0vl0.0beta6
- upstream release

* Sun Jan 22 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.0-0vl0.0beta5
- upstream release

* Sat Jan 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.0-0vl0.0beta4
- upstream release

* Thu Jan 12 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.0-0vl0.0beta3
- upstream release

* Tue Dec 27 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.0-0vl0.0beta2
- upstream release

* Fri Dec 23 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.0-0vl0.0beta1
- upstream release

* Thu Dec 15 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.9-0vl1
- upstream release

* Thu Dec 01 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.8-0vl1
- upstream release

* Fri Nov 18 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.7-0vl1
- upstream release
- cleanup description
- add %%with_gtkspell macro
  - enable gtkspell support if rpmbuild with '--with gtkspell'

* Wed Nov 09 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.6-0vl1
- upstream release

* Sat Oct 29 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.5-0vl1
- upstream release

* Wed Oct 19 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.4-0vl1
- upstream release
- update default-browser.patch (patch0)

* Thu Sep 29 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.3-0vl1
- upstream release

* Fri Sep 16 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.2-0vl1
- upstream release
- update default-browser.patch (patch0)
- add COPYING.LIB

* Tue Aug 24 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.1-0vl1
- upstream release

* Sun Aug 14 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.0-0vl1
- upstream release

* Sat Jul 30 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl1
- upstream release

* Sat Jul 23 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0rc
- upstream release

* Thu Jul 14 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta6
- upstream release

* Sat Jul 09 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta5
- upstream release

* Mon Jul 04 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta4
- upstream release

* Thu Jun 23 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta3
- upstream release

* Fri Jun 17 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta2
- upstream release

* Fri Jun 10 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta1
- upstream release

* Mon May 30 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.12-0vl1
- upstream release

* Sat May 21 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.11-0vl1
- upstream release

* Sat May 14 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.10-0vl1
- upstream release

* Sat Apr 23 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.9-0vl1
- upstream release
- add sylpheed.desktop (fixed in svn)

* Tue Apr 12 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.8-0vl1
- upstream release

* Tue Mar 29 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.7-0vl1
- upstream release

* Fri Mar 18 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.6-0vl1
- upstream release
- drop obsolete patch1
- update default-browser.patch (patch0)
- enable gnupg support by default

* Fri Mar 04 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.4-0vl2
- [SECURITY] fix buffer overflow
  - update to svn revision 146 (patch1)

* Wed Mar 02 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.4-0vl1
- upstream release

* Mon Feb 21 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.3-0vl1
- upstream release

* Wed Feb 09 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.2-0vl1
- upstream release

* Thu Feb 03 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.1-0vl1
- upstream release

* Tue Feb 01 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.0-0vl1
- upstream release
- update source URL

* Tue Feb 01 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.9.0-0vl0.0pre
- svn revesion 63
- update (Build)Requires: gpgme(-devel) >= 0.4.5

* Wed Jan 26 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl0.0alpha1
- gtk2 port from svn (revision 40)
- dispose %%doc
- fix dependencies
  - add Requires: gtk2, glib2 instead of gtk+, glib
  - add BuildRequires: {gtk2,glib2}-devel instead of {gtk+,glib,imlib}-devel
- remove --disable-gdk-pixbuf from %%configure option
- use sylpheed.desktop in source archive
- install desktop file into %%{_datadir}/applications
- update default-browser.patch (patch0) to use htmlview

* Sun Dec 26 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.0-0vl1
- upstream release

* Thu Dec 16 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.0-0vl0.rc
- upstream release

* Sun Dec 05 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.0-0vl0.beta4
- upstream release
- update default-browser.patch
- update (Build)Requires: gpgme (>= 0.3.10, < 0.4)

* Tue Nov 16 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.0-0vl0.beta3
- upstream release
- use 'mozilla -remote' as default browser (patch0)

* Mon Nov 08 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.0-0vl0.beta2
- upstream release

* Fri Oct 29 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.0-0vl0.beta1
- upstream release

* Sun Oct 17 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.9.99-0vl2
- update description
- add Japanese summary & description (thanks, spec file translation project)

* Thu Oct 07 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.9.99-0vl1
- upstream release

* Thu Jul 22 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.9.12-0vl2
- add Requires: mailcap, metamail
- drop obsolete patches

* Thu Jun 17 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.9.12-0vl1
- upstream release

* Sun May 30 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.9.11-0vl1
- upstream release

* Sat Apr 10 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.9.10-0vl2
- rebuild with openssl-0.9.7d

* Tue Mar 09 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.9.10-0vl1
- upstream release

* Thu Jan 29 2004 KAZUKI SHIMURA <rito@pos.to> 0.9.9-0vl1
- upstream release

* Mon Dec 15 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.9.8a-0vl1
- upstream release

* Sat Dec 13 2003 KAZUKI SHIMURA <rito@pos.to> 0.9.8-0vl1
- upstream release

* Wed Oct 15 2003 KAZUKI SHIMURA <rito@pos.to> 0.9.7-0vl1
- upstream release

* Wed Sep 17 2003 KAZUKI SHIMURA <rito@pos.to> 0.9.6-0vl1
- upstream release

* Tue Sep 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.9.5-0vl1
- upstream release

* Sun Jul 27 2003 KAZUKI SHIMURA <rito@pos.to> 0.9.4-0vl1
- upstream release

* Sun Jul 06 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.9.3-0vl1
- upstream release

* Fri Jun 06 2003 KAZUKI SHIMURA <rito@pos.to> 0.9.2-0vl1
- upstream release

* Wed May 28 2003 KAZUKI SHIMURA <rito@pos.to> 0.9.1-0vl1
- upstream release

* Sat May 15 2003 KAZUKI SHIMURA <rito@pos.to> 0.9.0-0vl1
- upstream release

* Fri Mar 07 2003 KAZUKI SHIMURA <rito@pos.to> 0.8.11-0vl1
- upstream release
- eliminated prefs_filter.patch

* Mon Feb 17 2003 KAZUKI SHIMURA <rito@pos.to> 0.8.10-0vl3
- added prefs_filter.patch (from 0.8.10cvs12)
        to fix the crash when the selection list is empty

* Sun Feb 16 2003 KAZUKI SHIMURA <rito@pos.to> 0.8.10-0vl2
- merged with VineSeed:07485

  - Mon Feb 03 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.8.9-0vl3
  - spec modified for ease with creation of gpgme-enabled version
    (still disabled for VineSeed)

* Sat Feb 08 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.8.10-0vl1
- upstream release

* Mon Jan 20 2003 KAZUKI SHIMURA <rito@pos.to> 0.8.9-0vl2
- remove Requires: libjconv >= 2.0

* Sat Jan 18 2003 KAZUKI SHIMURA <rito@pos.to> 0.8.9-0vl1
- upstream release

* Sat Jan 11 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.8.8-0vl1
- upstream release
- Patch1 was merged in the upstream release

* Fri Nov 15 2002 KAZUKI SHIMURA <rito@pos.to> 0.8.6-0vl1
- upstream release

* Fri Oct 04 2002 KAZUKI SHIMURA <rito@pos.to> 0.8.5-0vl2
- added BuildRequires: imlib-devel >= 1.9, faces-devel

* Fri Oct 04 2002 KAZUKI SHIMURA <rito@pos.to> 0.8.5-0vl1
- upstream release

* Tue Oct 01 2002 KAZUKI SHIMURA <rito@pos.to> 0.8.4-0vl1
- upstream release

* Mon Sep 23 2002 KAZUKI SHIMURA <rito@pos.to> 0.8.3-0vl2
- changed default browser into mozilla (updated patch0)

* Sun Sep 15 2002 KAZUKI SHIMURA <rito@pos.to> 0.8.3-0vl1
- upstream release

* Tue Aug 27 2002 IWAI Masaharu <iwai@alib.jp> 0.8.2-0vl1
- upstream release

* Fri Jul 26 2002 KAZUKI SHIMURA <rito@pos.to> 0.8.1-0vl2
- release++

* Thu Jul 25 2002 IWAI Masaharu <iwai@alib.jp> 0.8.1-0vl1
- upstream release
- eliminated charset.patch

* Tue Jul 23 2002 IWAI Masaharu <iwai@alib.jp> 0.8.0-0vl2
- added charset.patch for no charset in Content-Type header field
  ( from 0.8.0cvs1 )

* Mon Jul 15 2002 IWAI Masaharu <iwai@alib.jp> 0.8.0-0vl1
- upstream release

* Sat Jun 15 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.8-0vl1
- upstream release

* Sun Jun 09 2002 KOBAYSHI R. Taizo <tkoba@vinelinux.org> 0.7.7-0vl1
- upstream release

* Wed May 15 2002 KOBAYSHI R. Taizo <tkoba@vinelinux.org> 0.7.6-0vl2
- fixed Tab completion bug

* Sun May 12 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.6-0vl1
- upstream release

* Mon Apr 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.5-0vl2
- add new sylpheed icons

* Sun Apr 21 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.5-0vl1
- upstream release

* Sat Mar  9 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.4-0vl1
- upstream release

* Sun Mar  3 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.3-0vl1
- upstream release

* Wed Feb 20 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.2-0vl2
- added IPv6 and SSL support
- added BuildPreReq: glib-devel, bison and flex, openssl-devel
- added Requires: openssl

* Sat Feb 16 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.2-0vl1
- upstream release

* Mon Feb 11 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.1-0vl1
- upstream release
- changed release tag value (s/%%{rel}vl0/%%{rel}/)

* Mon Jan  7 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 0.7.0-0vl1
- upstream release

* Sun Dec 16 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 0.6.6-0vl1
- fixed BuildPreReq (gtk+-devel >= 1.2.6)
- added BuildPreReq: glib-devel, bison and flex

* Wed Nov 07 2001 Toru Sagami <sagami@vinelinux.org>
- 0.6.5-0vl1

* Mon Oct 22 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 0.6.4-0vl1
- eliminated ABOUT-NLS from %%doc

* Sat Oct 13 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 0.6.3-0vl1
- added %%doc AUTHORS, NEWS and ABOUT-NLS

* Sun Sep 16 2001 Toru Sagami <sagami@vinelinux.org>
- 0.6.2-0vl1

* Sun Sep 02 2001 Toru Sagami <sagami@vinelinux.org>
- 0.6.1-0vl1

* Fri Aug 31 2001 Toru Sagami <sagami@vinelinux.org>
- 0.6.0-0vl1

* Tue Aug 14 2001 <sagami@vinelinux.org>
- 0.5.3-0vl1

* Thu Aug 02 2001 <sagami@vinelinux.org>
- 0.5.2-0vl1: eliminate ABOUT-NLS from %%doc

* Wed Jul 18 2001 <sagami@vinelinux.org>
- 0.5.1-0vl1: updated to 0.5.1
- owns whole directory in %%{_datadir} instead of each files

* Sat Jul 07 2001 <sagami@vinelinux.org>
- 0.5.0-0vl1: updated to 0.5.0
- minor spec fixes (put %%changelog at EOF, use %%{find_lang}...)
- added %%config(missingok) to applnk file

* Wed May 09  2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.66-0vl1
- updated to 0.4.66

* Tue May 01 2001 Yoichi Imai <yoichi@silver-forest.com> 0.4.65-0vl1
- updated to 0.4.65
- changed %description

* Fri Apr 20 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.64-0vl1
- updated to 0.4.64

* Wed Apr 11 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.63-0vl1
- updated to 0.4.63

* Mon Mar 12 2001 Yoichi Imai <yoichi@silver-forest.com>
- 0.4.62-0vl1
- update to 0.4.62

* Wed Feb 7 2001 Kunio Murasawa <murasawa@marineroad.com>
- 0.4.61-0vl1
- update to 0.4.61

* Tue Dec 19 2000 Yoichi Imai <yoichi@silver-forest.com>
- 0.4.9-0vl1
- update to 0.4.9
- used %{_(bin|data|sysconf)dir} for %install section

* Sat Dec 9 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.8-0vl1
- update to 0.4.8

* Thu Nov 9 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.4.4

* Thu Oct 19 2000 Tomoya TAKA <tomoya@olive.plala.or.jp>
- update to 0.4.2

* Mon Oct 2 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.4.1
- --disable-gdk-pixbuf
- Requires: imlib
- BuildPreReq: gtk+ >= 1.2.6
- Obsoletes: vmail

* Thu Sep 28 2000 Yoichi Imai <yoichi@silver-forest.com>
- rebuild for VineSeed

* Wed Sep 27 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.4.0
- sylpheed-defualt-browser.patch for Vine Linux
- requires: gdk-pixbuf

* Tue Sep 26 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.99

* Sun Sep 17 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.29

* Wed Aug 30 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.28

* Fri Aug 25 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.27

* Sat Aug 19 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.26

* Thu Aug 10 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.25

* Fri Aug 04 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.24
- change uri
* Mon Jul 24 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.23

* Fri Jul 21 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.22

* Wed Jul 05 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.21

* Fri Jun 30 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.20

* Mon Jun 26 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.19

* Sun Jun 18 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.18

* Thu Jun 15 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.17

* Tue Jun 13 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.16

* Sun Jun 11 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.15

* Sun Jun 4 2000 Yoichi Imai <yoichi@silver-forest.com>
- some change

* Sun Jun 4 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.13

* Sat Jun 3 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.12

* Fri Jun 2 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.11

* Sat May 20 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.10

* Sat May 20 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.9

* Sun May 14 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.8

* Thu May 11 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.7a

* Thu May 4 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.6a

* Sun Apr 30 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.5

* Sun Apr 30 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.4

* Sat Apr 29 2000 Yoichi Imai <yoichi@silver-forest.com>
- gnome-menu and requires header change

* Mon Apr 24 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.3

* Sat Apr 15 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.2

* Tue Apr 14 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.3.1

* Tue Mar 14 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.2.9

* Tue Mar 14 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.2.7

* Thu Feb 24 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.2.4

* Tue Feb 22 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.2.3

* Sun Feb 20 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.2.2

* Sat Feb 19 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.2.1

* Sat Feb 12 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.2.0pre8

* Sat Feb 12 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.2.0pre7

* Wed Feb 5 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.2.0pre3

* Wed Feb 5 2000 Yoichi Imai <yoichi@silver-forest.com>
- append "TODO.jp"

* Wed Feb 5 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.2.0pre1

* Wed Feb 4 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.23

* Wed Feb 2 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.21

* Tue Feb 1 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.20

* Tue Jan 25 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.19

* Sun Jan 23 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.17

* Sun Jan 16 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.15

* Sat Jan 15 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.14

* Fri Jan 14 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.13

* Thu Jan 13 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.12

* Wed Jan 12 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.11

* Tue Jan 11 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.10

* Mon Jan 10 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.8

* Sat Jan 8 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.7

* Fri Jan 7 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.6

* Thu Jan 6 2000 Yoichi Imai <yoichi@silver-forest.com>
- update for 0.1.5

* Sat Jan 1 2000 Yoichi Imai <yoichi@silver-forest.com>
- first release for version 0.1.0

